diff --git a/changelog b/changelog
index 916c822..c63be68 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20071005 tpd src/input/Makefile kamke6.input regression test added
+20071005 tpd src/input/kamke6.input ODE regression test added
 20071005 tpd src/input/Makefile kamke5.input regression test added
 20071005 tpd src/input/kamke5.input ODE regression test added
 20071005 tpd src/input/Makefile kamke4.input regression test added
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 1d2626f..3d92581 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -323,7 +323,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     iprntpk.regress \
     ipftest.regress   is.regress       isprime.regress  kafile.regress \
     kamke0.regress    kamke1.regress   kamke2.regress   kamke3.regress \
-    kamke4.regress    kamke5.regress \
+    kamke4.regress    kamke5.regress   kamke6.regress \
     kernel.regress    knot2.regress    kovacic.regress  kuipers.regress \
     laplace.regress   leg.regress      limit.regress    lindep.regress \
     list.regress      lode.regress     lodesys.regress  lodo1.regress \
@@ -564,7 +564,7 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/ipftest.input  ${OUT}/is.input         ${OUT}/isprime.input \
        ${OUT}/kafile.input   ${OUT}/kamke0.input     ${OUT}/kamke1.input \
        ${OUT}/kamke2.input   ${OUT}/kamke3.input     ${OUT}/kamke4.input \
-       ${OUT}/kamke5.input \
+       ${OUT}/kamke5.input   ${OUT}/kamke6.input \
        ${OUT}/kernel.input   ${OUT}/knot.input \
        ${OUT}/kovacic.input  ${OUT}/kuipers.input  \
        ${OUT}/laplace.input  ${OUT}/leg.input        ${OUT}/lexp.input \
@@ -833,6 +833,7 @@ DOCFILES= \
   ${DOC}/kamke0.input.dvi      ${DOC}/kamke1.input.dvi     \
   ${DOC}/kamke2.input.dvi      ${DOC}/kamke3.input.dvi     \
   ${DOC}/kamke4.input.dvi      ${DOC}/kamke5.input.dvi     \
+  ${DOC}/kamke6.input.dvi     \
   ${DOC}/kernel.input.dvi      ${DOC}/knot2.input.dvi      \
   ${DOC}/knot.input.dvi        ${DOC}/knownbugs.input.dvi  \
   ${DOC}/kovacic.input.dvi     ${DOC}/kuipers.input.dvi    \
diff --git a/src/input/kamke6.input.pamphlet b/src/input/kamke6.input.pamphlet
new file mode 100644
index 0000000..ad31cd3
--- /dev/null
+++ b/src/input/kamke6.input.pamphlet
@@ -0,0 +1,3661 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input kamke6.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+This is the 301-350 of the Kamke test suite as published by 
+E. S. Cheb-Terrab\cite{1}. They have been rewritten using Axiom
+syntax. Where possible we show that the particular solution actually
+satisfies the original ordinary differential equation.
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+<<*>>=
+)spool kamke6.output
+)set break resume
+)set mes auto off
+)clear all
+
+--S 1 of 120
+y:=operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 1
+
+--S 2 of 120
+--Rf:=operator 'f
+--R 
+--R
+--R   (2)  f
+--R                                                          Type: BasicOperator
+--E 2
+
+--S 3 of 120
+--Rg:=operator 'g
+--R 
+--R
+--R   (3)  g
+--R                                                          Type: BasicOperator
+--R
+--E 3
+
+--S 4 of 120
+--Rode301 := (6*x*y(x)**2+x**2)*D(y(x),x)-y(x)*(3*y(x)**2-x)
+--R 
+--R
+--R                2    2  ,           3
+--R   (4)  (6x y(x)  + x )y (x) - 3y(x)  + x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 4
+
+--S 5 of 120
+--Rsolve(ode301,y,x)
+--R 
+--R
+--R   (5)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 5
+
+--S 6 of 120
+--Rode302 := (x**2*y(x)**2+x)*D(y(x),x)+y(x)
+--R 
+--R
+--R          2    2      ,
+--R   (6)  (x y(x)  + x)y (x) + y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 6
+
+--S 7 of 120
+--Rsolve(ode302,y,x)
+--R 
+--R
+--R   (7)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 7
+
+--S 8 of 120
+--Rode303 := (x*y(x)-1)**2*x*D(y(x),x)+(x**2*y(x)**2+1)*y(x)
+--R 
+--R
+--R          3    2     2          ,       2    3
+--R   (8)  (x y(x)  - 2x y(x) + x)y (x) + x y(x)  + y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 8
+
+--S 9 of 120
+--Rsolve(ode303,y,x)
+--R 
+--R
+--R   (9)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 9
+
+--S 10 of 120
+--Rode304 := (10*x**3*y(x)**2+x**2*y(x)+2*x)*D(y(x),x)+5*x**2*y(x)**3+x*y(x)**2
+--R 
+--R
+--R             3    2    2           ,        2    3         2
+--R   (10)  (10x y(x)  + x y(x) + 2x)y (x) + 5x y(x)  + x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 10
+
+--S 11 of 120
+--Rsolve(ode304,y,x)
+--R 
+--R
+--R   (11)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 11
+
+--S 12 of 120
+--Rode305 := (y(x)**3-3*x)*D(y(x),x)-3*y(x)+x**2
+--R 
+--R
+--R              3       ,               2
+--R   (12)  (y(x)  - 3x)y (x) - 3y(x) + x
+--R
+--R                                                     Type: Expression Integer
+--E 12
+
+--S 13 of 120
+--Ryx:=solve(ode305,y,x)
+--R 
+--R
+--R              4                3
+--R         3y(x)  - 36x y(x) + 4x
+--R   (13)  -----------------------
+--R                    12
+--R                                          Type: Union(Expression Integer,...)
+--E 13
+
+--S 14 of 120
+--Rode305expr := (yx**3-3*x)*D(yx,x)-3*yx+x**2
+--R 
+--R
+--R   (14)
+--R                 15             12       3    11         2    9        4    8
+--R           27y(x)   - 1053x y(x)   + 108x y(x)   + 14580x y(x)  - 2916x y(x)
+--R         + 
+--R               6    7         3    6         5    5        7    4
+--R           144x y(x)  - 81648x y(x)  + 23328x y(x)  - 2160x y(x)
+--R         + 
+--R               9          4             3         6    2        8           10
+--R           (64x  + 139968x  - 5184x)y(x)  - 46656x y(x)  + 5184x y(x) - 192x
+--R         + 
+--R                 2
+--R           15552x
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R               13      2    12             10        3    9       5    8
+--R       - 81y(x)   + 27x y(x)   + 2916x y(x)   - 1296x y(x)  + 108x y(x)
+--R     + 
+--R               2    7         4    6        6    5
+--R       - 34992x y(x)  + 19440x y(x)  - 3024x y(x)
+--R     + 
+--R            8          3            4         5    3         7    2
+--R       (144x  + 139968x  - 1296)y(x)  - 93312x y(x)  + 20736x y(x)
+--R     + 
+--R               9                    11        3        2
+--R       (- 1920x  + 31104x)y(x) + 64x   - 6912x  + 1728x
+--R  /
+--R     1728
+--R                                                     Type: Expression Integer
+--E 14
+
+--S 15 of 120
+--Rode306 := (y(x)**3-x**3)*D(y(x),x)-x**2*y(x)
+--R 
+--R
+--R              3    3  ,       2
+--R   (15)  (y(x)  - x )y (x) - x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 15
+
+--S 16 of 120
+--Ryx:=solve(ode306,y,x)
+--R 
+--R
+--R             6     3    3
+--R         y(x)  - 2x y(x)
+--R   (16)  ----------------
+--R                 6
+--R                                          Type: Union(Expression Integer,...)
+--E 16
+
+--S 17 of 120
+--Rode306expr := (yx**3-x**3)*D(yx,x)-x**2*yx
+--R 
+--R
+--R   (17)
+--R               23     3    20      6    17      9    14     12    11
+--R           y(x)   - 7x y(x)   + 18x y(x)   - 20x y(x)   + 8x  y(x)
+--R         + 
+--R                 3    5       6    2
+--R           - 216x y(x)  + 216x y(x)
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R        2    21     5    18      8    15     11    12      2    6       5    3
+--R     - x y(x)   + 6x y(x)   - 12x y(x)   + 8x  y(x)   - 36x y(x)  + 288x y(x)
+--R  /
+--R     216
+--R                                                     Type: Expression Integer
+--E 17
+
+--S 18 of 120
+--Rode307 := (y(x)**2+x**2+a)*y(x)*D(y(x),x)+(y(x)**2+x**2-a)*x
+--R 
+--R
+--R              3     2           ,            2    3
+--R   (18)  (y(x)  + (x  + a)y(x))y (x) + x y(x)  + x  - a x
+--R
+--R                                                     Type: Expression Integer
+--E 18
+
+--S 19 of 120
+--Ryx:=solve(ode307,y,x)
+--R 
+--R
+--R             4      2          2    4       2
+--R         y(x)  + (2x  + 2a)y(x)  + x  - 2a x
+--R   (19)  ------------------------------------
+--R                           4
+--R                                          Type: Union(Expression Integer,...)
+--E 19
+
+--S 20 of 120
+--Rode307expr := (yx**2+x**2+a)*yx*D(yx,x)+(yx**2+x**2-a)*x
+--R 
+--R
+--R   (20)
+--R               15      2          13       4        2      2     11
+--R           y(x)   + (7x  + 7a)y(x)   + (21x  + 30a x  + 18a )y(x)
+--R         + 
+--R               6        4      2 2      3     9
+--R           (35x  + 45a x  + 30a x  + 20a )y(x)
+--R         + 
+--R               8        6      2 4         3       2     4           7
+--R           (35x  + 20a x  - 12a x  + (- 16a  + 16)x  + 8a  + 16a)y(x)
+--R         + 
+--R                    10        8      2 6         3       4         4        2
+--R                 21x   - 15a x  - 36a x  + (- 24a  + 48)x  + (- 24a  + 96a)x
+--R               + 
+--R                    2
+--R                 48a
+--R          *
+--R                 5
+--R             y(x)
+--R         + 
+--R                 12        10     2 8       3       6       4        4      2 2
+--R               7x   - 18a x   - 6a x  + (16a  + 48)x  + (24a  + 80a)x  + 64a x
+--R             + 
+--R                  3
+--R               32a
+--R          *
+--R                 3
+--R             y(x)
+--R         + 
+--R             14       12     2 10      3       8     4 6      2 4      3 2
+--R           (x   - 5a x   + 6a x   + (4a  + 16)x  - 8a x  - 48a x  - 32a x )y(x)
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R             14      3            12       5        3     2      10
+--R       x y(x)   + (7x  + 5a x)y(x)   + (21x  + 18a x  + 6a x)y(x)
+--R     + 
+--R           7        5     2 3        3           8
+--R       (35x  + 15a x  - 6a x  + (- 4a  + 4)x)y(x)
+--R     + 
+--R           9        7      2 5         3       3        4             6
+--R       (35x  - 20a x  - 36a x  + (- 16a  + 32)x  + (- 8a  + 32a)x)y(x)
+--R     + 
+--R           11        9      2 7       3       5       4        3      2      4
+--R       (21x   - 45a x  - 12a x  + (24a  + 72)x  + (24a  + 80a)x  + 32a x)y(x)
+--R     + 
+--R          13        11      2 9       3       7      4 5      2 3      3      2
+--R       (7x   - 30a x   + 30a x  + (16a  + 64)x  - 24a x  - 96a x  - 32a x)y(x)
+--R     + 
+--R        15       13      2 11         3       9      4        7       3       3
+--R       x   - 7a x   + 18a x   + (- 20a  + 20)x  + (8a  - 48a)x  + (32a  + 64)x
+--R     + 
+--R       - 64a x
+--R  /
+--R     64
+--R                                                     Type: Expression Integer
+--E 20
+
+--S 21 of 120
+--Rode308 := 2*y(x)**3*D(y(x),x)+x*y(x)**2
+--R 
+--R
+--R              3 ,            2
+--R   (21)  2y(x) y (x) + x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 21
+
+--S 22 of 120
+--Ryx:=solve(ode308,y,x)
+--R 
+--R
+--R              2    2
+--R         2y(x)  + x
+--R   (22)  -----------
+--R              2
+--R                                          Type: Union(Expression Integer,...)
+--E 22
+
+--S 23 of 120
+--Rode308expr := 2*yx**3*D(yx,x)+x*yx**2
+--R 
+--R
+--R   (23)
+--R              7      2    5      4    3     6      ,             6
+--R       (16y(x)  + 24x y(x)  + 12x y(x)  + 2x y(x))y (x) + 8x y(x)
+--R
+--R     + 
+--R           3          4      5     3     2    7    5
+--R       (12x  + 4x)y(x)  + (6x  + 4x )y(x)  + x  + x
+--R  /
+--R     4
+--R                                                     Type: Expression Integer
+--E 23
+
+--S 24 of 120
+--Rode309 := (2*y(x)**3+y(x))*D(y(x),x)-2*x**3-x
+--R 
+--R
+--R               3         ,        3
+--R   (24)  (2y(x)  + y(x))y (x) - 2x  - x
+--R
+--R                                                     Type: Expression Integer
+--E 24
+
+--S 25 of 120
+--Ryx:=solve(ode309,y,x)
+--R 
+--R
+--R             4       2    4    2
+--R         y(x)  + y(x)  - x  - x
+--R   (25)  -----------------------
+--R                    2
+--R                                          Type: Union(Expression Integer,...)
+--E 25
+
+--S 26 of 120
+--Rode309expr := (2*yx**3+yx)*D(yx,x)-2*x**3-x
+--R 
+--R
+--R   (26)
+--R                15        13        4     2         11
+--R           2y(x)   + 7y(x)   + (- 6x  - 6x  + 9)y(x)
+--R         + 
+--R                 4      2         9      8      6     4      2         7
+--R           (- 15x  - 15x  + 5)y(x)  + (6x  + 12x  - 6x  - 12x  + 5)y(x)
+--R         + 
+--R              8      6     4     2         5
+--R           (9x  + 18x  + 6x  - 3x  + 6)y(x)
+--R         + 
+--R                12     10     8     6    4     2         3
+--R           (- 2x   - 6x   - 3x  + 4x  - x  - 4x  + 2)y(x)
+--R         + 
+--R               12     10     8    6     4     2
+--R           (- x   - 3x   - 3x  - x  - 2x  - 2x )y(x)
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R            3         12        3          10      7     5     3          8
+--R       (- 2x  - x)y(x)   + (- 6x  - 3x)y(x)   + (6x  + 9x  - 3x  - 3x)y(x)
+--R     + 
+--R           7      5     3         6        11      9     7     5    3          4
+--R       (12x  + 18x  + 4x  - x)y(x)  + (- 6x   - 15x  - 6x  + 6x  - x  - 2x)y(x)
+--R     + 
+--R            11      9      7     5     3          2     15     13     11     9
+--R       (- 6x   - 15x  - 12x  - 3x  - 4x  - 2x)y(x)  + 2x   + 7x   + 9x   + 5x
+--R     + 
+--R         7     5     3
+--R       5x  + 6x  - 6x  - 4x
+--R  /
+--R     4
+--R                                                     Type: Expression Integer
+--E 26
+
+--S 27 of 120
+--Rode310 := (2*y(x)**3+5*x**2*y(x))*D(y(x),x)+5*x*y(x)**2+x**3
+--R 
+--R
+--R               3     2      ,             2    3
+--R   (27)  (2y(x)  + 5x y(x))y (x) + 5x y(x)  + x
+--R
+--R                                                     Type: Expression Integer
+--E 27
+
+--S 28 of 120
+--Ryx:=solve(ode310,y,x)
+--R 
+--R
+--R              4      2    2    4
+--R         2y(x)  + 10x y(x)  + x
+--R   (28)  -----------------------
+--R                    4
+--R                                          Type: Union(Expression Integer,...)
+--E 28
+
+--S 29 of 120
+--Rode310expr := (2*yx**3+5*x**2*yx)*D(yx,x)+5*x*yx**2+x**3
+--R 
+--R
+--R   (29)
+--R                 15       2    13        4    11        6    9
+--R           16y(x)   + 280x y(x)   + 1824x y(x)   + 5300x y(x)
+--R         + 
+--R                 8       2     7         10        4     5
+--R           (6212x  + 160x )y(x)  + (1590x   + 1200x )y(x)
+--R         + 
+--R                12        6     3      14       8
+--R           (152x   + 2080x )y(x)  + (5x   + 200x )y(x)
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R               14       3    12        5    10         7           8
+--R       40x y(x)   + 608x y(x)   + 3180x y(x)   + (6212x  + 40x)y(x)
+--R     + 
+--R             9       3     6        11        5     4       13       7     2
+--R       (2650x  + 800x )y(x)  + (456x   + 3120x )y(x)  + (35x   + 800x )y(x)
+--R     + 
+--R        15      9      3
+--R       x   + 50x  + 32x
+--R  /
+--R     32
+--R                                                     Type: Expression Integer
+--E 29
+
+--S 30 of 120
+--Rode311 := (20*y(x)**3-3*x*y(x)**2+6*x**2*y(x)+3*x**3)*D(y(x),x)-_
+--R             y(x)**3+6*x*y(x)**2+9*x**2*y(x)+4*x**3
+--R 
+--R
+--R   (30)
+--R          3          2     2         3  ,          3          2     2         3
+--R   (20y(x)  - 3x y(x)  + 6x y(x) + 3x )y (x) - y(x)  + 6x y(x)  + 9x y(x) + 4x
+--R
+--R                                                     Type: Expression Integer
+--E 30
+
+--S 31 of 120
+--Ryx:=solve(ode311,y,x)
+--R 
+--R
+--R              4         3     2    2     3        4
+--R   (31)  5y(x)  - x y(x)  + 3x y(x)  + 3x y(x) + x
+--R                                          Type: Union(Expression Integer,...)
+--E 31
+
+--S 32 of 120
+--Rode311expr := (20*yx**3-3*x*yx**2+6*x**2*yx+3*x**3)*D(yx,x)-_
+--R                yx**3+6*x*yx**2+9*x**2*yx+4*x**3
+--R 
+--R
+--R   (32)
+--R                  15              14          2    13         3    12
+--R         50000y(x)   - 37500x y(x)   + 115500x y(x)   + 37700x y(x)
+--R       + 
+--R                4             11           5       2     10
+--R         (67860x  - 1500x)y(x)   + (111540x  + 825x )y(x)
+--R       + 
+--R                6        3     9          7        4     8
+--R         (90600x  - 2400x )y(x)  + (72720x  - 1206x )y(x)
+--R       + 
+--R                8        5       2     7          9        6       3     6
+--R         (71880x  - 1032x  + 600x )y(x)  + (52080x  - 1554x  - 210x )y(x)
+--R       + 
+--R                10        7       4     5          11       8       5     4
+--R         (29880x   - 1206x  + 558x )y(x)  + (17100x   - 630x  + 360x )y(x)
+--R       + 
+--R               12       9       6      3     3
+--R         (8860x   - 420x  + 156x  + 60x )y(x)
+--R       + 
+--R               13       10       7     4     2
+--R         (3180x   - 234x   + 144x  - 9x )y(x)
+--R       + 
+--R              14      11      8      5           15     12      9     6
+--R         (660x   - 72x   + 90x  + 18x )y(x) + 60x   - 9x   + 18x  + 9x
+--R    *
+--R        ,
+--R       y (x)
+--R
+--R   + 
+--R               15              14        2    13          3           12
+--R     - 2500y(x)   + 16500x y(x)   + 8700x y(x)   + (22620x  - 125)y(x)
+--R   + 
+--R            4            11          5       2     10          6       3     9
+--R     (50700x  + 150x)y(x)   + (54360x  - 720x )y(x)   + (56560x  - 536x )y(x)
+--R   + 
+--R            7       4            8          8        5      2     7
+--R     (71880x  - 645x  + 150x)y(x)  + (66960x  - 1332x  - 90x )y(x)
+--R   + 
+--R            9        6       3     6          10        7       4     5
+--R     (49800x  - 1407x  + 372x )y(x)  + (37620x   - 1008x  + 360x )y(x)
+--R   + 
+--R            11       8       5      2     4
+--R     (26580x   - 945x  + 234x  + 45x )y(x)
+--R   + 
+--R            12       9       6      3     3
+--R     (13780x   - 780x  + 336x  - 12x )y(x)
+--R   + 
+--R           13       10       7      4     2
+--R     (4620x   - 396x   + 360x  + 45x )y(x)
+--R   + 
+--R          14       11       8      5           15      12      9      6     3
+--R     (900x   - 108x   + 162x  + 54x )y(x) + 80x   - 13x   + 30x  + 21x  + 4x
+--R                                                     Type: Expression Integer
+--E 32
+
+--S 33 of 120
+--Rode312 := (y(x)**2/b+x**2/a)*(y(x)*D(y(x),x)+x)+((a-b)/(a+b))*_
+--R             (y(x)*D(y(x),x)-x)
+--R 
+--R
+--R   (33)
+--R                2     3      2        2      2    2        ,
+--R       ((a b + a )y(x)  + ((b  + a b)x  - a b  + a b)y(x))y (x)
+--R
+--R     + 
+--R               2       2     2        3       2    2
+--R       (a b + a )x y(x)  + (b  + a b)x  + (a b  - a b)x
+--R  /
+--R        2    2
+--R     a b  + a b
+--R                                                     Type: Expression Integer
+--E 33
+
+--S 34 of 120
+--Rsolve(ode312,y,x)
+--R 
+--R
+--R   (34)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 34
+
+--S 35 of 120
+--Rode313 := (2*a*y(x)**3+3*a*x*y(x)**2-b*x**3+c*x**2)*D(y(x),x)-_
+--R             a*y(x)**3+c*y(x)**2+3*b*x**2*y(x)+2*b*x**3
+--R 
+--R
+--R   (35)
+--R             3            2      3      2  ,            3         2       2
+--R     (2a y(x)  + 3a x y(x)  - b x  + c x )y (x) - a y(x)  + c y(x)  + 3b x y(x)
+--R
+--R   + 
+--R         3
+--R     2b x
+--R                                                     Type: Expression Integer
+--E 35
+
+--S 36 of 120
+--Rsolve(ode313,y,x)
+--R 
+--R
+--R   (36)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 36
+
+--S 37 of 120
+--Rode314 := x*y(x)**3*D(y(x),x)+y(x)**4-x*sin(x)
+--R 
+--R
+--R               3 ,                     4
+--R   (37)  x y(x) y (x) - x sin(x) + y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 37
+
+--S 38 of 120
+--Ryx:=solve(ode314,y,x)
+--R 
+--R
+--R               3                   4      2                4    4
+--R         (- 16x  + 96x)sin(x) + (4x  - 48x  + 96)cos(x) + x y(x)
+--R   (38)  --------------------------------------------------------
+--R                                     4
+--R                                          Type: Union(Expression Integer,...)
+--E 38
+
+--S 39 of 120
+--Rode314expr := x*yx**3*D(yx,x)+yx**4-x*sin(x)
+--R 
+--R
+--R   (39)
+--R                    14          12           10           8     3      3
+--R           (- 16384x   + 294912x   - 1769472x   + 3538944x )y(x) sin(x)
+--R         + 
+--R                        15          13           11           9            7
+--R                 (12288x   - 294912x   + 2506752x   - 8847360x  + 10616832x )
+--R              *
+--R                     3
+--R                 y(x) cos(x)
+--R             + 
+--R                     15         13          11     7
+--R               (3072x   - 36864x   + 110592x  )y(x)
+--R          *
+--R                   2
+--R             sin(x)
+--R         + 
+--R                          16         14           12           10            8
+--R                   - 3072x   + 92160x   - 1032192x   + 5308416x   - 12386304x
+--R                 + 
+--R                            6
+--R                   10616832x
+--R              *
+--R                     3      2
+--R                 y(x) cos(x)
+--R             + 
+--R                       16         14          12          10     7
+--R               (- 1536x   + 27648x   - 147456x   + 221184x  )y(x) cos(x)
+--R             + 
+--R                      16        14     11
+--R               (- 192x   + 1152x  )y(x)
+--R          *
+--R             sin(x)
+--R         + 
+--R                   17        15          13          11           9           7
+--R               256x   - 9216x   + 129024x   - 884736x   + 3096576x  - 5308416x
+--R             + 
+--R                       5
+--R               3538944x
+--R          *
+--R                 3      3
+--R             y(x) cos(x)
+--R         + 
+--R                17        15         13          11          9     7      2
+--R           (192x   - 4608x   + 36864x   - 110592x   + 110592x )y(x) cos(x)
+--R         + 
+--R               17       15        13     11           17    15
+--R           (48x   - 576x   + 1152x  )y(x)  cos(x) + 4x  y(x)
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R                   14          12          10            8            6
+--R             16384x   - 229376x   + 196608x   + 10616832x  - 56623104x
+--R           + 
+--R                      4
+--R             84934656x
+--R      *
+--R               4
+--R         sin(x)
+--R     + 
+--R                       15          13          11            9             7
+--R               - 12288x   + 229376x   - 540672x   - 13959168x  + 116785152x
+--R             + 
+--R                           5             3
+--R               - 339738624x  + 339738624x
+--R          *
+--R             cos(x)
+--R         + 
+--R                   15        13          11           9           7     4
+--R           (- 3072x   + 4096x   + 479232x   - 3538944x  + 7077888x )y(x)
+--R      *
+--R               3
+--R         sin(x)
+--R     + 
+--R                    16         14          12           10            8
+--R               3072x   - 67584x   + 147456x   + 7372800x   - 79626240x
+--R             + 
+--R                         6             4             2
+--R               343277568x  - 679477248x  + 509607936x
+--R          *
+--R                   2
+--R             cos(x)
+--R         + 
+--R                    16        14          12           10            8
+--R               1536x   - 3072x   - 442368x   + 4792320x   - 17694720x
+--R             + 
+--R                        6
+--R               21233664x
+--R          *
+--R                 4
+--R             y(x) cos(x)
+--R         + 
+--R                16        14         12          10     8
+--R           (192x   + 3456x   - 55296x   + 165888x  )y(x)
+--R      *
+--R               2
+--R         sin(x)
+--R     + 
+--R                     17        15         13           11            9
+--R               - 256x   + 5120x   + 43008x   - 2064384x   + 23445504x
+--R             + 
+--R                           7             5             3
+--R               - 129171456x  + 378667008x  - 566231040x  + 339738624x
+--R          *
+--R                   3
+--R             cos(x)
+--R         + 
+--R                     17        15          13           11            9
+--R               - 192x   - 1536x   + 147456x   - 1953792x   + 10506240x
+--R             + 
+--R                          7            5
+--R               - 24772608x  + 21233664x
+--R          *
+--R                 4      2
+--R             y(x) cos(x)
+--R         + 
+--R                 17        15         13          11          9     8
+--R           (- 48x   - 1728x   + 40320x   - 221184x   + 331776x )y(x) cos(x)
+--R         + 
+--R                17       15        13     12
+--R           (- 4x   - 256x   + 1536x  )y(x)   - 256x
+--R      *
+--R         sin(x)
+--R     + 
+--R               16         14          12           10            8            6
+--R           256x   - 12288x   + 245760x   - 2654208x   + 16809984x  - 63700992x
+--R         + 
+--R                     4             2
+--R           141557760x  - 169869312x  + 84934656
+--R      *
+--R               4
+--R         cos(x)
+--R     + 
+--R               16         14          12           10           8            6
+--R           512x   - 18432x   + 258048x   - 1769472x   + 6193152x  - 10616832x
+--R         + 
+--R                   4
+--R           7077888x
+--R      *
+--R             4      3
+--R         y(x) cos(x)
+--R     + 
+--R            16        14         12          10          8     8      2
+--R       (288x   - 6912x   + 55296x   - 165888x   + 165888x )y(x) cos(x)
+--R     + 
+--R           16       14        12     12           16    16
+--R       (64x   - 768x   + 1536x  )y(x)  cos(x) + 5x  y(x)
+--R  /
+--R     256
+--R                                                     Type: Expression Integer
+--E 39
+
+--S 40 of 120
+--Rode315 := (2*x*y(x)**3-x**4)*D(y(x),x)-y(x)**4+2*x**3*y(x)
+--R 
+--R
+--R                 3    4  ,          4     3
+--R   (40)  (2x y(x)  - x )y (x) - y(x)  + 2x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 40
+
+--S 41 of 120
+--Rsolve(ode315,y,x)
+--R 
+--R
+--R   (41)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 41
+
+--S 42 of 120
+--Rode316 := (2*x*y(x)**3+y(x))*D(y(x),x)+2*y(x)**2
+--R 
+--R
+--R                 3         ,           2
+--R   (42)  (2x y(x)  + y(x))y (x) + 2y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 42
+
+--S 43 of 120
+--Ryx:=solve(ode316,y,x)
+--R 
+--R
+--R                  2
+--R              y(x)
+--R              -----          2
+--R                2        y(x)
+--R         4x %e      + Ei(-----)
+--R                           2
+--R   (43)  ----------------------
+--R                    2
+--R                                          Type: Union(Expression Integer,...)
+--E 43
+
+--S 44 of 120
+--Rode316expr := (2*x*yx**3+yx)*D(yx,x)+2*yx**2
+--R 
+--R
+--R   (44)
+--R                                     2 4                                     2 3
+--R                                 y(x)                                    y(x)
+--R                                 -----                              2    -----
+--R                5    2      4      2           4    2      3    y(x)       2
+--R           (128x y(x)  + 64x )(%e     )  + (96x y(x)  + 48x )Ei(-----)(%e     )
+--R                                                                  2
+--R         + 
+--R                                                                 2 2
+--R                                                             y(x)
+--R                                     2 2                     -----
+--R                3    2      2    y(x)         2    2           2
+--R           ((24x y(x)  + 12x )Ei(-----)  + 16x y(x)  + 8x)(%e     )
+--R                                   2
+--R         + 
+--R                                                                     2
+--R                                                                 y(x)
+--R                                 2 3                        2    -----
+--R               2    2        y(x)              2        y(x)       2
+--R           ((2x y(x)  + x)Ei(-----)  + (4x y(x)  + 2)Ei(-----))%e
+--R                               2                          2
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R                       2 4                           2 3
+--R                   y(x)                          y(x)
+--R                   -----                    2    -----
+--R           4         2          3       y(x)       2
+--R       128x y(x)(%e     )  + 96x y(x)Ei(-----)(%e     )
+--R                                          2
+--R     + 
+--R                                                     2 2
+--R                                                 y(x)
+--R                       2 2                       -----
+--R           2       y(x)          2                 2
+--R       (24x y(x)Ei(-----)  + (32x  + 16x)y(x))(%e     )
+--R                     2
+--R     + 
+--R                                                         2
+--R                                                     y(x)
+--R                      2 3                       2    -----               2 2
+--R                  y(x)                      y(x)       2             y(x)
+--R       (2x y(x)Ei(-----)  + (16x + 4)y(x)Ei(-----))%e      + 2y(x)Ei(-----)
+--R                    2                         2                        2
+--R  /
+--R     4y(x)
+--R                                                     Type: Expression Integer
+--E 44
+
+--S 45 of 120
+--Rode317 := (2*x*y(x)**3+x*y(x)+x**2)*D(y(x),x)+y(x)**2-x*y(x)
+--R 
+--R
+--R                 3             2  ,          2
+--R   (45)  (2x y(x)  + x y(x) + x )y (x) + y(x)  - x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 45
+
+--S 46 of 120
+--Rsolve(ode317,y,x)
+--R 
+--R
+--R   (46)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 46
+
+--S 47 of 120
+--Rode318 := (3*x*y(x)**3-4*x*y(x)+y(x))*D(y(x),x)+y(x)**2*(y(x)**2-2)
+--R 
+--R
+--R                 3                   ,          4        2
+--R   (47)  (3x y(x)  + (- 4x + 1)y(x))y (x) + y(x)  - 2y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 47
+
+--S 48 of 120
+--Ryx:=solve(ode318,y,x)
+--R 
+--R
+--R   (48)
+--R                                       +---------+
+--R                4               2      |    2              5                 3
+--R       (- x y(x)  + (2x - 1)y(x)  + 2)\|y(x)  - 2  + x y(x)  + (- 2x + 1)y(x)
+--R     + 
+--R       - 2y(x)
+--R  /
+--R          +---------+
+--R          |    2            2
+--R     y(x)\|y(x)  - 2  - y(x)  + 2
+--R                                          Type: Union(Expression Integer,...)
+--E 48
+
+--S 49 of 120
+--Rode318expr := (3*x*yx**3-4*x*yx+yx)*D(yx,x)+yx**2*(yx**2-2)
+--R 
+--R
+--R   (49)
+--R           5    11         5      4     9       5      4      3     7
+--R         9x y(x)   + (- 30x  + 30x )y(x)  + (24x  - 96x  + 36x )y(x)
+--R       + 
+--R             4       3      2     5       3      2          3
+--R         (72x  - 120x  + 21x )y(x)  + (88x  - 68x  + 7x)y(x)
+--R       + 
+--R             2
+--R         (40x  - 14x + 1)y(x)
+--R    *
+--R        ,
+--R       y (x)
+--R
+--R   + 
+--R       4    12         4      3     10       4      3      2     8
+--R     4x y(x)   + (- 16x  + 13x )y(x)   + (16x  - 52x  + 15x )y(x)
+--R   + 
+--R         3      2          6       2               4                2
+--R     (52x  - 66x  + 8x)y(x)  + (72x  - 38x + 2)y(x)  + (44x - 8)y(x)  + 8
+--R                                                     Type: Expression Integer
+--E 49
+
+--S 50 of 120
+--Rode319 := (7*x*y(x)**3+y(x)-5*x)*D(y(x),x)+y(x)**4-5*y(x)
+--R 
+--R
+--R                 3              ,          4
+--R   (50)  (7x y(x)  + y(x) - 5x)y (x) + y(x)  - 5y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 50
+
+--S 51 of 120
+--Ryx:=solve(ode319,y,x)
+--R 
+--R
+--R                 7        5            4         2
+--R         10x y(x)  + 2y(x)  - 100x y(x)  - 25y(x)  + 250x y(x)
+--R   (51)  -----------------------------------------------------
+--R                                   10
+--R                                          Type: Union(Expression Integer,...)
+--E 51
+
+--S 52 of 120
+--Rode319expr := (7*x*yx**3+yx-5*x)*D(yx,x)+yx**4-5*yx
+--R 
+--R
+--R   (52)
+--R                  5    27          4    25            5    24          3    23
+--R           490000x y(x)   + 364000x y(x)   - 17500000x y(x)   + 100800x y(x)
+--R         + 
+--R                      4    22              5         2     21           3    20
+--R           - 13685000x y(x)   + (269500000x  + 12320x )y(x)   - 3969000x y(x)
+--R         + 
+--R                      4            19                 5          2     18
+--R           (210000000x  + 560x)y(x)   + (- 2327500000x  - 505400x )y(x)
+--R         + 
+--R                    3    17                 4              16
+--R           60952500x y(x)   + (- 1710625000x  - 23800x)y(x)
+--R         + 
+--R                        5           2     15             3    14
+--R           (12250000000x  + 7784000x )y(x)   - 464625000x y(x)
+--R         + 
+--R                       4         2               13
+--R           (7962500000x  + 70000x  + 367500x)y(x)
+--R         + 
+--R                          5            2     12               3              11
+--R           (- 39812500000x  - 55168750x )y(x)   + (1842750000x  + 24000x)y(x)
+--R         + 
+--R                          4           2                10
+--R           (- 20934375000x  - 1100000x  - 2406250x)y(x)
+--R         + 
+--R                        5             2            9
+--R           (76562500000x  + 175000000x  + 2000)y(x)
+--R         + 
+--R                         3               8
+--R           (- 3543750000x  - 405000x)y(x)
+--R         + 
+--R                        4           2                7
+--R           (28000000000x  + 6000000x  + 5468750x)y(x)
+--R         + 
+--R                          5             2             6
+--R           (- 76562500000x  - 191756250x  - 35000)y(x)
+--R         + 
+--R                       3                5
+--R           (2460937500x  + 1800000x)y(x)
+--R         + 
+--R                          4            2              4
+--R           (- 13671875000x  - 12500000x  - 50000x)y(x)
+--R         + 
+--R                        5           2              3                2
+--R           (27343750000x  + 2000000x  + 125000)y(x)  - 1875000x y(x)
+--R         + 
+--R                    2                          2
+--R           (6250000x  + 250000x)y(x) - 1250000x
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R             4    28         3    26           4    25         2    24
+--R       80000x y(x)   + 50000x y(x)   - 3200000x y(x)   + 10800x y(x)
+--R     + 
+--R                 3    23             4            22          2    21
+--R       - 2125000x y(x)   + (56000000x  + 880x)y(x)   - 486000x y(x)
+--R     + 
+--R                 3          20                4              19
+--R       (37500000x  + 16)y(x)   + (- 560000000x  - 41800x)y(x)
+--R     + 
+--R               2    18                3           17
+--R       8707500x y(x)   + (- 359375000x  - 800)y(x)
+--R     + 
+--R                   4               16            2    15
+--R       (3500000000x  + 764500x)y(x)   - 79650000x y(x)
+--R     + 
+--R                   3                      14
+--R       (2031250000x  + 10000x + 15000)y(x)
+--R     + 
+--R                      4                13              2            12
+--R       (- 14000000000x  - 6668750x)y(x)   + (394875000x  + 2000)y(x)
+--R     + 
+--R                     3                        11
+--R       (- 6796875000x  - 200000x - 125000)y(x)
+--R     + 
+--R                    4                 10                 2             9
+--R       (35000000000x  + 27500000x)y(x)   + (- 1012500000x  - 45000)y(x)
+--R     + 
+--R                    3                         8
+--R       (12500000000x  + 1500000x + 390625)y(x)
+--R     + 
+--R                      4                 7               2              6
+--R       (- 50000000000x  - 43068750x)y(x)  + (1054687500x  + 300000)y(x)
+--R     + 
+--R                     3                        5
+--R       (- 9765625000x  - 5000000x - 10000)y(x)
+--R     + 
+--R                    4                4             3                          2
+--R       (31250000000x  + 1000000x)y(x)  - 625000y(x)  + (6250000x + 125000)y(x)
+--R     + 
+--R       - 2500000x y(x)
+--R  /
+--R     10000
+--R                                                     Type: Expression Integer
+--E 52
+
+--S 53 of 120
+--Rode320 := (x**2*y(x)**3+x*y(x))*D(y(x),x)-1
+--R 
+--R
+--R           2    3           ,
+--R   (53)  (x y(x)  + x y(x))y (x) - 1
+--R
+--R                                                     Type: Expression Integer
+--E 53
+
+--S 54 of 120
+--Rsolve(ode320,y,x)
+--R 
+--R
+--R   (54)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 54
+
+--S 55 of 120
+--Rode321 := (2*x**2*y(x)**3+x**2*y(x)**2-2*x)*D(y(x),x)-2*y(x)-1
+--R 
+--R
+--R            2    3    2    2       ,
+--R   (55)  (2x y(x)  + x y(x)  - 2x)y (x) - 2y(x) - 1
+--R
+--R                                                     Type: Expression Integer
+--E 55
+
+--S 56 of 120
+--Rsolve(ode321,y,x)
+--R 
+--R
+--R   (56)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 56
+
+--S 57 of 120
+--Rode322 := (10*x**2*y(x)**3-3*y(x)**2-2)*D(y(x),x)+5*x*y(x)**4+x
+--R 
+--R
+--R             2    3        2      ,             4
+--R   (57)  (10x y(x)  - 3y(x)  - 2)y (x) + 5x y(x)  + x
+--R
+--R                                                     Type: Expression Integer
+--E 57
+
+--S 58 of 120
+--Ryx:=solve(ode322,y,x)
+--R 
+--R
+--R           2    4        3            2
+--R         5x y(x)  - 2y(x)  - 4y(x) + x
+--R   (58)  ------------------------------
+--R                        2
+--R                                          Type: Union(Expression Integer,...)
+--E 58
+
+--S 59 of 120
+--Rode322expr := (10*x**2*yx**3-3*yx**2-2)*D(yx,x)+5*x*yx**4+x
+--R 
+--R
+--R   (59)
+--R                 10    15         8    14         6    13
+--R           25000x  y(x)   - 37500x y(x)   + 21000x y(x)
+--R         + 
+--R                    8        4     12          10         6       2     11
+--R           (- 65000x  - 5200x )y(x)   + (15000x   + 69000x  + 480x )y(x)
+--R         + 
+--R                    8         4     10          6        2     9
+--R           (- 16500x  - 23100x )y(x)   + (66000x  + 2000x )y(x)
+--R         + 
+--R                    8         4           8         10         6        2     7
+--R           (- 27000x  - 38520x  + 144)y(x)  + (3000x   + 18000x  + 3840x )y(x)
+--R         + 
+--R                   8         4           6          6        2     5
+--R           (- 2100x  - 24920x  + 672)y(x)  + (14760x  + 4656x )y(x)
+--R         + 
+--R                   8        4           4        10       6        2     3
+--R           (- 3000x  - 3600x  + 960)y(x)  + (200x   + 840x  + 1856x )y(x)
+--R         + 
+--R               8        4           2        6       2           8      4
+--R         (- 60x  - 1884x  + 480)y(x)  + (480x  - 192x )y(x) - 40x  + 24x  + 64
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R             9    16         7    15        5    14            7        3     13
+--R       15625x y(x)   - 20000x y(x)   + 9000x y(x)   + (- 40000x  - 1600x )y(x)
+--R     + 
+--R              9         5           12            7        3     11
+--R       (12500x  + 34500x  + 80x)y(x)   + (- 12000x  - 8400x )y(x)
+--R     + 
+--R              5            10            7         3     9
+--R       (39600x  + 400x)y(x)   + (- 24000x  - 17120x )y(x)
+--R     + 
+--R             9         5            8           7         3     7
+--R       (3750x  + 13500x  + 960x)y(x)  + (- 2400x  - 14240x )y(x)
+--R     + 
+--R              5             6           7        3     5
+--R       (14760x  + 1552x)y(x)  + (- 4800x  - 2880x )y(x)
+--R     + 
+--R            9        5            4          7        3     3
+--R       (500x  + 1260x  + 928x)y(x)  + (- 160x  - 2512x )y(x)
+--R     + 
+--R             5            2          7      3           9      5
+--R       (1440x  - 192x)y(x)  + (- 320x  + 96x )y(x) + 25x  - 12x  - 16x
+--R  /
+--R     16
+--R                                                     Type: Expression Integer
+--E 59
+
+--S 60 of 120
+--Rode323 := (a*x*y(x)**3+c)*x*D(y(x),x)+(b*x**3*y(x)+c)*y(x)
+--R 
+--R
+--R             2    3        ,         3    2
+--R   (60)  (a x y(x)  + c x)y (x) + b x y(x)  + c y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 60
+
+--S 61 of 120
+--Rsolve(ode323,y,x)
+--R 
+--R
+--R   (61)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 61
+
+--S 62 of 120
+--Rode324 := (2*x**3*y(x)**3-x)*D(y(x),x)+2*x**3*y(x)**3-y(x)
+--R 
+--R
+--R            3    3      ,        3    3
+--R   (62)  (2x y(x)  - x)y (x) + 2x y(x)  - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 62
+
+--S 63 of 120
+--Rsolve(ode324,y,x)
+--R 
+--R
+--R   (63)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 63
+
+--S 64 of 120
+--Rode325 := y(x)*(y(x)**3-2*x**3)*D(y(x),x)+(2*y(x)**3-x**3)*x
+--R 
+--R
+--R              4     3      ,             3    4
+--R   (64)  (y(x)  - 2x y(x))y (x) + 2x y(x)  - x
+--R
+--R                                                     Type: Expression Integer
+--E 64
+
+--S 65 of 120
+--Rsolve(ode325,y,x)
+--R 
+--R
+--R   (65)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 65
+
+--S 66 of 120
+--Rode326 := y(x)*((a*y(x)+b*x)**3+b*x**3)*D(y(x),x)+x*((a*y(x)+b*x)**3+a*y(x)**3)
+--R 
+--R
+--R   (66)
+--R       3    4     2        3       2 2    2     3      3      ,
+--R     (a y(x)  + 3a b x y(x)  + 3a b x y(x)  + (b  + b)x y(x))y (x)
+--R
+--R   + 
+--R       3           3     2   2    2       2 3        3 4
+--R     (a  + a)x y(x)  + 3a b x y(x)  + 3a b x y(x) + b x
+--R                                                     Type: Expression Integer
+--E 66
+
+--S 67 of 120
+--Rsolve(ode326,y,x)
+--R 
+--R
+--R   (67)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 67
+
+--S 68 of 120
+--Rode327 := (x*y(x)**4+2*x**2*y(x)**3+2*y(x)+x)*D(y(x),x)+y(x)**5+y(x)
+--R 
+--R
+--R                4     2    3              ,          5
+--R   (68)  (x y(x)  + 2x y(x)  + 2y(x) + x)y (x) + y(x)  + y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 68
+
+--S 69 of 120
+--Rsolve(ode327,y,x)
+--R 
+--R
+--R   (69)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 69
+
+--S 70 of 120
+--Rode328 := a*x**2*y(x)**n*D(y(x),x)-2*x*D(y(x),x)+y(x)
+--R 
+--R
+--R             2    n       ,
+--R   (70)  (a x y(x)  - 2x)y (x) + y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 70
+
+--S 71 of 120
+--Rsolve(ode328,y,x)
+--R 
+--R
+--R   (71)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 71
+
+--S 72 of 120
+--Rode329 := y(x)**m*x**n*(a*x*D(y(x),x)+b*y(x))+alpha*x*D(y(x),x)+beta*y(x)
+--R 
+--R
+--R               n    m            ,             n    m
+--R   (72)  (a x x y(x)  + alpha x)y (x) + b y(x)x y(x)  + beta y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 72
+
+--S 73 of 120
+--Rsolve(ode329,y,x)
+--R 
+--R
+--R   (73)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 73
+
+--S 74 of 120
+--Rode330 := (f(x+y(x))+1)*D(y(x),x)+f(x+y(x))
+--R 
+--R
+--R                           ,
+--R   (74)  (f(y(x) + x) + 1)y (x) + f(y(x) + x)
+--R
+--R                                                     Type: Expression Integer
+--E 74
+
+--S 75 of 120
+--Rsolve(ode330,y,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   Sorry - cannot handle that integrand yet
+--R
+--R   Continuing to read the file...
+--R
+--E 75
+
+@
+I have no idea what to do with this
+\begin{verbatim}
+ ode331 := D(y(x),x)*convert([sum(f[nu](x)*y(x)**nu,'nu'=1..p)],`+`)-_
+                     convert([sum(g[nu](x)*y(x)**nu,'nu'=1..q)],`+`)
+\end{verbatim}
+<<*>>=
+--R
+--S 76 of 120
+--Rode333 := (2*x**(5/2)*y(x)**(3/2)+x**2*y(x)-x)*D(y(x),x)-_
+--R            x**(3/2)*y(x)**(5/2)+x*y(x)**2-y(x)
+--R 
+--R
+--R   (75)
+--R      2     +-+ +----+    2          ,            2 +-+ +----+         2
+--R   (2x y(x)\|x \|y(x)  + x y(x) - x)y (x) - x y(x) \|x \|y(x)  + x y(x)  - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 76
+
+--S 77 of 120
+--Rsolve(ode333,y,x)
+--R 
+--R
+--R   (76)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 77
+
+--S 78 of 120
+--Rode334 := (sqrt(y(x)+x)+1)*D(y(x),x)+1
+--R 
+--R
+--R           +--------+      ,
+--R   (77)  (\|y(x) + x  + 1)y (x) + 1
+--R
+--R                                                     Type: Expression Integer
+--E 78
+
+--S 79 of 120
+--Rsolve(ode334,y,x)
+--R 
+--R
+--R   (78)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 79
+
+--S 80 of 120
+--Rode335 := sqrt(y(x)**2-1)*D(y(x),x)-sqrt(x**2-1)
+--R 
+--R
+--R          +---------+         +------+
+--R          |    2      ,       | 2
+--R   (79)  \|y(x)  - 1 y (x) - \|x  - 1
+--R
+--R                                                     Type: Expression Integer
+--E 80
+
+--S 81 of 120
+--Ryx:=solve(ode335,y,x)
+--R 
+--R
+--R   (80)
+--R                    +------+                    +---------+
+--R                    | 2             2           |    2
+--R           (4x y(x)\|x  - 1  + (- 4x  + 2)y(x))\|y(x)  - 1
+--R         + 
+--R                             +------+
+--R                     2       | 2           2         2     2
+--R           (- 4x y(x)  + 2x)\|x  - 1  + (4x  - 2)y(x)  - 2x  + 1
+--R      *
+--R              +---------+
+--R              |    2
+--R         log(\|y(x)  - 1  - y(x))
+--R     + 
+--R                      +------+                      +------+
+--R                      | 2           2               | 2
+--R           (- 4x y(x)\|x  - 1  + (4x  - 2)y(x))log(\|x  - 1  - x)
+--R         + 
+--R                                  +------+
+--R                     3     3      | 2           2         3
+--R           (- 4x y(x)  + 4x y(x))\|x  - 1  + (4x  - 2)y(x)
+--R         + 
+--R                4     2
+--R           (- 4x  + 2x  + 1)y(x)
+--R      *
+--R          +---------+
+--R          |    2
+--R         \|y(x)  - 1
+--R     + 
+--R                        +------+                                   +------+
+--R                2       | 2             2         2     2          | 2
+--R       ((4x y(x)  - 2x)\|x  - 1  + (- 4x  + 2)y(x)  + 2x  - 1)log(\|x  - 1  - x)
+--R     + 
+--R                                                +------+
+--R               4        3          2     3      | 2             2         4
+--R       (4x y(x)  + (- 4x  - 2x)y(x)  + 2x  - x)\|x  - 1  + (- 4x  + 2)y(x)
+--R     + 
+--R          4         2     4     2
+--R       (4x  - 2)y(x)  - 2x  + 2x
+--R  /
+--R                +------+                    +---------+
+--R                | 2             2           |    2
+--R       (8x y(x)\|x  - 1  + (- 8x  + 4)y(x))\|y(x)  - 1
+--R     + 
+--R                         +------+
+--R                 2       | 2           2         2     2
+--R       (- 8x y(x)  + 4x)\|x  - 1  + (8x  - 4)y(x)  - 4x  + 2
+--R                                          Type: Union(Expression Integer,...)
+--E 81
+
+--S 82 of 120
+--Rode335expr := sqrt(yx**2-1)*D(yx,x)-sqrt(x**2-1)
+--R 
+--R
+--R   (81)
+--R                             4      2         5       4      2          3
+--R                       (- 64x  + 64x  - 8)y(x)  + (96x  - 96x  + 12)y(x)
+--R                     + 
+--R                             4      2
+--R                       (- 32x  + 32x  - 4)y(x)
+--R                  *
+--R                      +------+
+--R                      | 2
+--R                     \|x  - 1
+--R                 + 
+--R                       5      3           5         5       3           3
+--R                   (64x  - 96x  + 32x)y(x)  + (- 96x  + 144x  - 48x)y(x)
+--R                 + 
+--R                       5      3
+--R                   (32x  - 48x  + 16x)y(x)
+--R              *
+--R                  +---------+
+--R                  |    2
+--R                 \|y(x)  - 1
+--R             + 
+--R                       4      2         6          4       2          4
+--R                   (64x  - 64x  + 8)y(x)  + (- 128x  + 128x  - 16)y(x)
+--R                 + 
+--R                       4      2         2     4     2
+--R                   (72x  - 72x  + 9)y(x)  - 8x  + 8x  - 1
+--R              *
+--R                  +------+
+--R                  | 2
+--R                 \|x  - 1
+--R             + 
+--R                     5      3           6        5       3           4
+--R               (- 64x  + 96x  - 32x)y(x)  + (128x  - 192x  + 64x)y(x)
+--R             + 
+--R                     5       3           2     5      3
+--R               (- 72x  + 108x  - 36x)y(x)  + 8x  - 12x  + 4x
+--R          *
+--R              ,
+--R             y (x)
+--R
+--R         + 
+--R                       5      3           4         5      3           2     5
+--R                   (64x  - 96x  + 32x)y(x)  + (- 64x  + 96x  - 32x)y(x)  + 8x
+--R                 + 
+--R                        3
+--R                   - 12x  + 4x
+--R              *
+--R                  +------+
+--R                  | 2
+--R                 \|x  - 1
+--R             + 
+--R                     6       4      2         4       6       4      2         2
+--R               (- 64x  + 128x  - 72x  + 8)y(x)  + (64x  - 128x  + 72x  - 8)y(x)
+--R             + 
+--R                   6      4     2
+--R               - 8x  + 16x  - 9x  + 1
+--R          *
+--R              +---------+
+--R              |    2
+--R             \|y(x)  - 1
+--R         + 
+--R                     5      3           5       5       3           3
+--R               (- 64x  + 96x  - 32x)y(x)  + (96x  - 144x  + 48x)y(x)
+--R             + 
+--R                     5      3
+--R               (- 32x  + 48x  - 16x)y(x)
+--R          *
+--R              +------+
+--R              | 2
+--R             \|x  - 1
+--R         + 
+--R               6       4      2         5         6       4       2          3
+--R           (64x  - 128x  + 72x  - 8)y(x)  + (- 96x  + 192x  - 108x  + 12)y(x)
+--R         + 
+--R               6      4      2
+--R           (32x  - 64x  + 36x  - 4)y(x)
+--R      *
+--R         ROOT
+--R                                                                 +------+
+--R                             3           3         3             | 2
+--R                        ((64x  - 32x)y(x)  + (- 32x  + 16x)y(x))\|x  - 1
+--R                      + 
+--R                              4      2         3       4      2
+--R                        (- 64x  + 64x  - 8)y(x)  + (32x  - 32x  + 4)y(x)
+--R                   *
+--R                       +---------+
+--R                       |    2
+--R                      \|y(x)  - 1
+--R                  + 
+--R                             3           4       3           2     3
+--R                      ((- 64x  + 32x)y(x)  + (64x  - 32x)y(x)  - 8x  + 4x)
+--R                   *
+--R                       +------+
+--R                       | 2
+--R                      \|x  - 1
+--R                  + 
+--R                        4      2         4         4      2         2     4
+--R                    (64x  - 64x  + 8)y(x)  + (- 64x  + 64x  - 8)y(x)  + 8x
+--R                  + 
+--R                        2
+--R                    - 8x  + 1
+--R               *
+--R                       +---------+        2
+--R                       |    2
+--R                  log(\|y(x)  - 1  - y(x))
+--R              + 
+--R                                                                      +------+
+--R                                    3           3       3             | 2
+--R                            ((- 128x  + 64x)y(x)  + (64x  - 32x)y(x))\|x  - 1
+--R                          + 
+--R                                 4       2          3         4      2
+--R                            (128x  - 128x  + 16)y(x)  + (- 64x  + 64x  - 8)y(x)
+--R                       *
+--R                               +------+
+--R                               | 2
+--R                          log(\|x  - 1  - x)
+--R                      + 
+--R                                   3           5        5           3
+--R                            (- 128x  + 64x)y(x)  + (128x  - 48x)y(x)
+--R                          + 
+--R                                  5      3
+--R                            (- 64x  + 48x )y(x)
+--R                       *
+--R                           +------+
+--R                           | 2
+--R                          \|x  - 1
+--R                      + 
+--R                             4       2          5
+--R                        (128x  - 128x  + 16)y(x)
+--R                      + 
+--R                               6      4      2          3
+--R                        (- 128x  + 64x  + 64x  - 16)y(x)
+--R                      + 
+--R                            6      4      2
+--R                        (64x  - 80x  + 16x  + 2)y(x)
+--R                   *
+--R                       +---------+
+--R                       |    2
+--R                      \|y(x)  - 1
+--R                  + 
+--R                                   3           4          3           2      3
+--R                              (128x  - 64x)y(x)  + (- 128x  + 64x)y(x)  + 16x
+--R                            + 
+--R                              - 8x
+--R                       *
+--R                           +------+
+--R                           | 2
+--R                          \|x  - 1
+--R                      + 
+--R                               4       2          4        4       2          2
+--R                        (- 128x  + 128x  - 16)y(x)  + (128x  - 128x  + 16)y(x)
+--R                      + 
+--R                             4      2
+--R                        - 16x  + 16x  - 2
+--R                   *
+--R                           +------+
+--R                           | 2
+--R                      log(\|x  - 1  - x)
+--R                  + 
+--R                             3           6          5      3           4
+--R                        (128x  - 64x)y(x)  + (- 128x  - 64x  + 80x)y(x)
+--R                      + 
+--R                             5      3           2      5      3
+--R                        (128x  - 64x  - 16x)y(x)  - 16x  + 16x  - 2x
+--R                   *
+--R                       +------+
+--R                       | 2
+--R                      \|x  - 1
+--R                  + 
+--R                           4       2          6        6       2          4
+--R                    (- 128x  + 128x  - 16)y(x)  + (128x  - 128x  + 24)y(x)
+--R                  + 
+--R                           6       4         2      6      4     2
+--R                    (- 128x  + 128x  - 8)y(x)  + 16x  - 24x  + 8x
+--R               *
+--R                       +---------+
+--R                       |    2
+--R                  log(\|y(x)  - 1  - y(x))
+--R              + 
+--R                                                                 +------+
+--R                             3           3         3             | 2
+--R                        ((64x  - 32x)y(x)  + (- 32x  + 16x)y(x))\|x  - 1
+--R                      + 
+--R                              4      2         3       4      2
+--R                        (- 64x  + 64x  - 8)y(x)  + (32x  - 32x  + 4)y(x)
+--R                   *
+--R                           +------+     2
+--R                           | 2
+--R                      log(\|x  - 1  - x)
+--R                  + 
+--R                                 3           5          5           3
+--R                            (128x  - 64x)y(x)  + (- 128x  + 48x)y(x)
+--R                          + 
+--R                                5      3
+--R                            (64x  - 48x )y(x)
+--R                       *
+--R                           +------+
+--R                           | 2
+--R                          \|x  - 1
+--R                      + 
+--R                               4       2          5
+--R                        (- 128x  + 128x  - 16)y(x)
+--R                      + 
+--R                             6      4      2          3
+--R                        (128x  - 64x  - 64x  + 16)y(x)
+--R                      + 
+--R                              6      4      2
+--R                        (- 64x  + 80x  - 16x  - 2)y(x)
+--R                   *
+--R                           +------+
+--R                           | 2
+--R                      log(\|x  - 1  - x)
+--R                  + 
+--R                            3           7          5      3           5
+--R                        (64x  - 32x)y(x)  + (- 128x  + 32x  + 32x)y(x)
+--R                      + 
+--R                            7      5       3            3
+--R                        (64x  + 32x  - 320x  + 128x)y(x)
+--R                      + 
+--R                              7      5       3
+--R                        (- 32x  + 32x  + 128x  - 66x)y(x)
+--R                   *
+--R                       +------+
+--R                       | 2
+--R                      \|x  - 1
+--R                  + 
+--R                          4      2         7        6      4      2          5
+--R                    (- 64x  + 64x  - 8)y(x)  + (128x  - 96x  - 32x  + 12)y(x)
+--R                  + 
+--R                          8       4       2          3
+--R                    (- 64x  + 344x  - 280x  + 28)y(x)
+--R                  + 
+--R                        8      6       4       2
+--R                    (32x  - 48x  - 116x  + 132x  - 16)y(x)
+--R               *
+--R                   +---------+
+--R                   |    2
+--R                  \|y(x)  - 1
+--R              + 
+--R                             3           4       3           2     3
+--R                      ((- 64x  + 32x)y(x)  + (64x  - 32x)y(x)  - 8x  + 4x)
+--R                   *
+--R                       +------+
+--R                       | 2
+--R                      \|x  - 1
+--R                  + 
+--R                        4      2         4         4      2         2     4
+--R                    (64x  - 64x  + 8)y(x)  + (- 64x  + 64x  - 8)y(x)  + 8x
+--R                  + 
+--R                        2
+--R                    - 8x  + 1
+--R               *
+--R                       +------+     2
+--R                       | 2
+--R                  log(\|x  - 1  - x)
+--R              + 
+--R                               3           6        5      3           4
+--R                        (- 128x  + 64x)y(x)  + (128x  + 64x  - 80x)y(x)
+--R                      + 
+--R                               5      3           2      5      3
+--R                        (- 128x  + 64x  + 16x)y(x)  + 16x  - 16x  + 2x
+--R                   *
+--R                       +------+
+--R                       | 2
+--R                      \|x  - 1
+--R                  + 
+--R                         4       2          6          6       2          4
+--R                    (128x  - 128x  + 16)y(x)  + (- 128x  + 128x  - 24)y(x)
+--R                  + 
+--R                         6       4         2      6      4     2
+--R                    (128x  - 128x  + 8)y(x)  - 16x  + 24x  - 8x
+--R               *
+--R                       +------+
+--R                       | 2
+--R                  log(\|x  - 1  - x)
+--R              + 
+--R                          3           8        5           6
+--R                    (- 64x  + 32x)y(x)  + (128x  - 48x)y(x)
+--R                  + 
+--R                          7      5       3            4
+--R                    (- 64x  - 96x  + 344x  - 116x)y(x)
+--R                  + 
+--R                        7      5       3            2     7      5      3
+--R                    (64x  - 32x  - 280x  + 132x)y(x)  - 8x  + 12x  + 28x  - 16x
+--R               *
+--R                   +------+
+--R                   | 2
+--R                  \|x  - 1
+--R              + 
+--R                    4      2         8          6      4      2          6
+--R                (64x  - 64x  + 8)y(x)  + (- 128x  + 64x  + 64x  - 16)y(x)
+--R              + 
+--R                    8      6       4       2          4
+--R                (64x  + 64x  - 400x  + 272x  - 23)y(x)
+--R              + 
+--R                      8      6       4       2          2     8      6      4
+--R                (- 64x  + 64x  + 272x  - 272x  + 31)y(x)  + 8x  - 16x  - 23x
+--R              + 
+--R                   2
+--R                31x  - 4
+--R           /
+--R                                                                +------+
+--R                          3            3          3             | 2
+--R                    ((256x  - 128x)y(x)  + (- 128x  + 64x)y(x))\|x  - 1
+--R                  + 
+--R                           4       2          3        4       2
+--R                    (- 256x  + 256x  - 32)y(x)  + (128x  - 128x  + 16)y(x)
+--R               *
+--R                   +---------+
+--R                   |    2
+--R                  \|y(x)  - 1
+--R              + 
+--R                          3            4        3            2      3
+--R                  ((- 256x  + 128x)y(x)  + (256x  - 128x)y(x)  - 32x  + 16x)
+--R               *
+--R                   +------+
+--R                   | 2
+--R                  \|x  - 1
+--R              + 
+--R                     4       2          4          4       2          2      4
+--R                (256x  - 256x  + 32)y(x)  + (- 256x  + 256x  - 32)y(x)  + 32x
+--R              + 
+--R                     2
+--R                - 32x  + 4
+--R     + 
+--R                   5      3           4         5      3           2     5
+--R               (64x  - 96x  + 32x)y(x)  + (- 64x  + 96x  - 32x)y(x)  + 8x
+--R             + 
+--R                    3
+--R               - 12x  + 4x
+--R          *
+--R              +------+
+--R              | 2
+--R             \|x  - 1
+--R         + 
+--R                 6       4      2         4       6       4      2         2
+--R           (- 64x  + 128x  - 72x  + 8)y(x)  + (64x  - 128x  + 72x  - 8)y(x)
+--R         + 
+--R               6      4     2
+--R           - 8x  + 16x  - 9x  + 1
+--R      *
+--R          +---------+
+--R          |    2
+--R         \|y(x)  - 1
+--R     + 
+--R                 5      3           5       5       3           3
+--R           (- 64x  + 96x  - 32x)y(x)  + (96x  - 144x  + 48x)y(x)
+--R         + 
+--R                 5      3
+--R           (- 32x  + 48x  - 16x)y(x)
+--R      *
+--R          +------+
+--R          | 2
+--R         \|x  - 1
+--R     + 
+--R           6       4      2         5         6       4       2          3
+--R       (64x  - 128x  + 72x  - 8)y(x)  + (- 96x  + 192x  - 108x  + 12)y(x)
+--R     + 
+--R           6      4      2
+--R       (32x  - 64x  + 36x  - 4)y(x)
+--R  /
+--R                  4      2         4         4      2         2     4     2
+--R             ((64x  - 64x  + 8)y(x)  + (- 64x  + 64x  - 8)y(x)  + 8x  - 8x  + 1)
+--R          *
+--R              +------+
+--R              | 2
+--R             \|x  - 1
+--R         + 
+--R               5      3           4       5      3           2     5      3
+--R         (- 64x  + 96x  - 32x)y(x)  + (64x  - 96x  + 32x)y(x)  - 8x  + 12x  - 4x
+--R      *
+--R          +---------+
+--R          |    2
+--R         \|y(x)  - 1
+--R     + 
+--R                 4      2         5       4      2          3
+--R           (- 64x  + 64x  - 8)y(x)  + (96x  - 96x  + 12)y(x)
+--R         + 
+--R                 4      2
+--R           (- 32x  + 32x  - 4)y(x)
+--R      *
+--R          +------+
+--R          | 2
+--R         \|x  - 1
+--R     + 
+--R           5      3           5         5       3           3
+--R       (64x  - 96x  + 32x)y(x)  + (- 96x  + 144x  - 48x)y(x)
+--R     + 
+--R           5      3
+--R       (32x  - 48x  + 16x)y(x)
+--R                                                     Type: Expression Integer
+--E 82
+
+--S 83 of 120
+--Rode336 := (sqrt(y(x)**2+1)+a*x)*D(y(x),x)+sqrt(x**2+1)+a*y(x)
+--R 
+--R
+--R           +---------+                +------+
+--R           |    2             ,       | 2
+--R   (82)  (\|y(x)  + 1  + a x)y (x) + \|x  + 1  + a y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 83
+
+--S 84 of 120
+--Ryx:=solve(ode336,y,x)
+--R 
+--R
+--R   (83)
+--R                      +------+                  +---------+
+--R                      | 2           2           |    2
+--R           (- 4x y(x)\|x  + 1  + (4x  + 2)y(x))\|y(x)  + 1
+--R         + 
+--R                           +------+
+--R                   2       | 2             2         2     2
+--R           (4x y(x)  + 2x)\|x  + 1  + (- 4x  - 2)y(x)  - 2x  - 1
+--R      *
+--R              +---------+
+--R              |    2
+--R         log(\|y(x)  + 1  - y(x))
+--R     + 
+--R                      +------+                      +------+
+--R                      | 2           2               | 2
+--R           (- 4x y(x)\|x  + 1  + (4x  + 2)y(x))log(\|x  + 1  - x)
+--R         + 
+--R                                                        +------+
+--R                     3       2    2        3            | 2
+--R           (- 4x y(x)  + 8a x y(x)  + (- 4x  - 4x)y(x))\|x  + 1
+--R         + 
+--R              2         3          3            2      4     2
+--R           (4x  + 2)y(x)  + (- 8a x  - 4a x)y(x)  + (4x  + 6x  + 1)y(x)
+--R      *
+--R          +---------+
+--R          |    2
+--R         \|y(x)  + 1
+--R     + 
+--R                        +------+                                   +------+
+--R                2       | 2             2         2     2          | 2
+--R       ((4x y(x)  + 2x)\|x  + 1  + (- 4x  - 2)y(x)  - 2x  - 1)log(\|x  + 1  - x)
+--R     + 
+--R                                                                       +------+
+--R               4       2    3      3          2       2         3      | 2
+--R       (4x y(x)  - 8a x y(x)  + (4x  + 6x)y(x)  - 4a x y(x) + 2x  + x)\|x  + 1
+--R     + 
+--R            2         4        3            3        4     2         2
+--R       (- 4x  - 2)y(x)  + (8a x  + 4a x)y(x)  + (- 4x  - 8x  - 2)y(x)
+--R     + 
+--R            3                 4     2
+--R       (4a x  + 2a x)y(x) - 2x  - 2x
+--R  /
+--R                +------+                    +---------+
+--R                | 2             2           |    2
+--R       (8x y(x)\|x  + 1  + (- 8x  - 4)y(x))\|y(x)  + 1
+--R     + 
+--R                         +------+
+--R                 2       | 2           2         2     2
+--R       (- 8x y(x)  - 4x)\|x  + 1  + (8x  + 4)y(x)  + 4x  + 2
+--R                                          Type: Union(Expression Integer,...)
+--E 84
+
+--S 85 of 120
+--Rode336expr := (sqrt(yx**2+1)+a*x)*D(yx,x)+sqrt(x**2+1)+a*yx
+--R 
+--R
+--R   (84)
+--R                               6        4        2          7
+--R                       (- 2048x  - 3072x  - 1152x  - 64)y(x)
+--R                     + 
+--R                               7          5          3             6
+--R                       (2048a x  + 3072a x  + 1152a x  + 64a x)y(x)
+--R                     + 
+--R                               6        4        2           5
+--R                       (- 4096x  - 6144x  - 2304x  - 128)y(x)
+--R                     + 
+--R                               7          5          3             4
+--R                       (3072a x  + 4608a x  + 1728a x  + 96a x)y(x)
+--R                     + 
+--R                               6        4        2          3
+--R                       (- 2432x  - 3648x  - 1368x  - 76)y(x)
+--R                     + 
+--R                               7          5         3             2
+--R                       (1152a x  + 1728a x  + 648a x  + 36a x)y(x)
+--R                     + 
+--R                              6       4       2                  7        5
+--R                       (- 384x  - 576x  - 216x  - 12)y(x) + 64a x  + 96a x
+--R                     + 
+--R                            3
+--R                       36a x  + 2a x
+--R                  *
+--R                      +------+
+--R                      | 2
+--R                     \|x  + 1
+--R                 + 
+--R                         7        5        3            7
+--R                   (2048x  + 4096x  + 2432x  + 384x)y(x)
+--R                 + 
+--R                             8          6          4         2     6
+--R                   (- 2048a x  - 4096a x  - 2432a x  - 384a x )y(x)
+--R                 + 
+--R                         7        5        3            5
+--R                   (4096x  + 8192x  + 4864x  + 768x)y(x)
+--R                 + 
+--R                             8          6          4         2     4
+--R                   (- 3072a x  - 6144a x  - 3648a x  - 576a x )y(x)
+--R                 + 
+--R                         7        5        3            3
+--R                   (2432x  + 4864x  + 2888x  + 456x)y(x)
+--R                 + 
+--R                             8          6          4         2     2
+--R                   (- 1152a x  - 2304a x  - 1368a x  - 216a x )y(x)
+--R                 + 
+--R                        7       5       3                   8         6        4
+--R                   (384x  + 768x  + 456x  + 72x)y(x) - 64a x  - 128a x  - 76a x
+--R                 + 
+--R                          2
+--R                   - 12a x
+--R              *
+--R                  +---------+
+--R                  |    2
+--R                 \|y(x)  + 1
+--R             + 
+--R                         6        4        2          8
+--R                   (2048x  + 3072x  + 1152x  + 64)y(x)
+--R                 + 
+--R                             7          5          3             7
+--R                   (- 2048a x  - 3072a x  - 1152a x  - 64a x)y(x)
+--R                 + 
+--R                         6        4        2           6
+--R                   (5120x  + 7680x  + 2880x  + 160)y(x)
+--R                 + 
+--R                             7          5          3              5
+--R                   (- 4096a x  - 6144a x  - 2304a x  - 128a x)y(x)
+--R                 + 
+--R                         6        4        2           4
+--R                   (4224x  + 6336x  + 2376x  + 132)y(x)
+--R                 + 
+--R                             7          5          3             3
+--R                   (- 2432a x  - 3648a x  - 1368a x  - 76a x)y(x)
+--R                 + 
+--R                         6        4       2          2
+--R                   (1216x  + 1824x  + 684x  + 38)y(x)
+--R                 + 
+--R                            7         5         3                   6      4
+--R                   (- 384a x  - 576a x  - 216a x  - 12a x)y(x) + 64x  + 96x
+--R                 + 
+--R                      2
+--R                   36x  + 2
+--R              *
+--R                  +------+
+--R                  | 2
+--R                 \|x  + 1
+--R             + 
+--R                       7        5        3            8
+--R               (- 2048x  - 4096x  - 2432x  - 384x)y(x)
+--R             + 
+--R                       8          6          4         2     7
+--R               (2048a x  + 4096a x  + 2432a x  + 384a x )y(x)
+--R             + 
+--R                       7         5        3            6
+--R               (- 5120x  - 10240x  - 6080x  - 960x)y(x)
+--R             + 
+--R                       8          6          4         2     5
+--R               (4096a x  + 8192a x  + 4864a x  + 768a x )y(x)
+--R             + 
+--R                       7        5        3            4
+--R               (- 4224x  - 8448x  - 5016x  - 792x)y(x)
+--R             + 
+--R                       8          6          4         2     3
+--R               (2432a x  + 4864a x  + 2888a x  + 456a x )y(x)
+--R             + 
+--R                       7        5        3            2
+--R               (- 1216x  - 2432x  - 1444x  - 228x)y(x)
+--R             + 
+--R                      8         6         4        2           7       5      3
+--R               (384a x  + 768a x  + 456a x  + 72a x )y(x) - 64x  - 128x  - 76x
+--R             + 
+--R               - 12x
+--R          *
+--R              ,
+--R             y (x)
+--R
+--R         + 
+--R                           6          4          2           7
+--R                   (2048a x  + 3072a x  + 1152a x  + 64a)y(x)
+--R                 + 
+--R                           7        5        3            6
+--R                   (- 2048x  - 4096x  - 2432x  - 384x)y(x)
+--R                 + 
+--R                           6          4          2           5
+--R                   (3072a x  + 4608a x  + 1728a x  + 96a)y(x)
+--R                 + 
+--R                           7        5        3            4
+--R                   (- 3072x  - 6144x  - 3648x  - 576x)y(x)
+--R                 + 
+--R                           6          4         2           3
+--R                   (1152a x  + 1728a x  + 648a x  + 36a)y(x)
+--R                 + 
+--R                           7        5        3            2
+--R                   (- 1152x  - 2304x  - 1368x  - 216x)y(x)
+--R                 + 
+--R                       6        4        2                7       5      3
+--R                 (64a x  + 96a x  + 36a x  + 2a)y(x) - 64x  - 128x  - 76x  - 12x
+--R              *
+--R                  +------+
+--R                  | 2
+--R                 \|x  + 1
+--R             + 
+--R                         7          5          3              7
+--R               (- 2048a x  - 4096a x  - 2432a x  - 384a x)y(x)
+--R             + 
+--R                     8        6        4        2          6
+--R               (2048x  + 5120x  + 4224x  + 1216x  + 64)y(x)
+--R             + 
+--R                         7          5          3              5
+--R               (- 3072a x  - 6144a x  - 3648a x  - 576a x)y(x)
+--R             + 
+--R                     8        6        4        2          4
+--R               (3072x  + 7680x  + 6336x  + 1824x  + 96)y(x)
+--R             + 
+--R                         7          5          3              3
+--R               (- 1152a x  - 2304a x  - 1368a x  - 216a x)y(x)
+--R             + 
+--R                     8        6        4       2          2
+--R               (1152x  + 2880x  + 2376x  + 684x  + 36)y(x)
+--R             + 
+--R                       7         5        3                   8       6       4
+--R               (- 64a x  - 128a x  - 76a x  - 12a x)y(x) + 64x  + 160x  + 132x
+--R             + 
+--R                  2
+--R               38x  + 2
+--R          *
+--R              +---------+
+--R              |    2
+--R             \|y(x)  + 1
+--R         + 
+--R                         6          4          2           8
+--R               (- 2048a x  - 3072a x  - 1152a x  - 64a)y(x)
+--R             + 
+--R                     7        5        3            7
+--R               (2048x  + 4096x  + 2432x  + 384x)y(x)
+--R             + 
+--R                         6          4          2            6
+--R               (- 4096a x  - 6144a x  - 2304a x  - 128a)y(x)
+--R             + 
+--R                     7        5        3            5
+--R               (4096x  + 8192x  + 4864x  + 768x)y(x)
+--R             + 
+--R                         6          4          2           4
+--R               (- 2432a x  - 3648a x  - 1368a x  - 76a)y(x)
+--R             + 
+--R                     7        5        3            3
+--R               (2432x  + 4864x  + 2888x  + 456x)y(x)
+--R             + 
+--R                        6         4         2           2
+--R               (- 384a x  - 576a x  - 216a x  - 12a)y(x)
+--R             + 
+--R                    7       5       3
+--R               (384x  + 768x  + 456x  + 72x)y(x)
+--R          *
+--R              +------+
+--R              | 2
+--R             \|x  + 1
+--R         + 
+--R                   7          5          3              8
+--R           (2048a x  + 4096a x  + 2432a x  + 384a x)y(x)
+--R         + 
+--R                   8        6        4        2          7
+--R           (- 2048x  - 5120x  - 4224x  - 1216x  - 64)y(x)
+--R         + 
+--R                   7          5          3              6
+--R           (4096a x  + 8192a x  + 4864a x  + 768a x)y(x)
+--R         + 
+--R                   8         6        4        2           5
+--R           (- 4096x  - 10240x  - 8448x  - 2432x  - 128)y(x)
+--R         + 
+--R                   7          5          3              4
+--R           (2432a x  + 4864a x  + 2888a x  + 456a x)y(x)
+--R         + 
+--R                   8        6        4        2          3
+--R           (- 2432x  - 6080x  - 5016x  - 1444x  - 76)y(x)
+--R         + 
+--R                  7         5         3             2
+--R           (384a x  + 768a x  + 456a x  + 72a x)y(x)
+--R         + 
+--R                  8       6       4       2
+--R           (- 384x  - 960x  - 792x  - 228x  - 12)y(x)
+--R      *
+--R         ROOT
+--R                                                               +------+
+--R                             3           3       3             | 2
+--R                        ((64x  + 32x)y(x)  + (32x  + 16x)y(x))\|x  + 1
+--R                      + 
+--R                              4      2         3         4      2
+--R                        (- 64x  - 64x  - 8)y(x)  + (- 32x  - 32x  - 4)y(x)
+--R                   *
+--R                       +---------+
+--R                       |    2
+--R                      \|y(x)  + 1
+--R                  + 
+--R                             3           4         3           2     3
+--R                      ((- 64x  - 32x)y(x)  + (- 64x  - 32x)y(x)  - 8x  - 4x)
+--R                   *
+--R                       +------+
+--R                       | 2
+--R                      \|x  + 1
+--R                  + 
+--R                        4      2         4       4      2         2     4     2
+--R                    (64x  + 64x  + 8)y(x)  + (64x  + 64x  + 8)y(x)  + 8x  + 8x
+--R                  + 
+--R                    1
+--R               *
+--R                       +---------+        2
+--R                       |    2
+--R                  log(\|y(x)  + 1  - y(x))
+--R              + 
+--R                                                                    +------+
+--R                                  3           3       3             | 2
+--R                            ((128x  + 64x)y(x)  + (64x  + 32x)y(x))\|x  + 1
+--R                          + 
+--R                                 4       2          3         4      2
+--R                          (- 128x  - 128x  - 16)y(x)  + (- 64x  - 64x  - 8)y(x)
+--R                       *
+--R                               +------+
+--R                               | 2
+--R                          log(\|x  + 1  - x)
+--R                      + 
+--R                                 3           5            4         2     4
+--R                            (128x  + 64x)y(x)  + (- 256a x  - 128a x )y(x)
+--R                          + 
+--R                                 5       3           3
+--R                            (128x  + 256x  + 80x)y(x)
+--R                          + 
+--R                                     4        2     2       5      3
+--R                            (- 128a x  - 64a x )y(x)  + (64x  + 80x  + 16x)y(x)
+--R                       *
+--R                           +------+
+--R                           | 2
+--R                          \|x  + 1
+--R                      + 
+--R                               4       2          5
+--R                        (- 128x  - 128x  - 16)y(x)
+--R                      + 
+--R                               5         3             4
+--R                        (256a x  + 256a x  + 32a x)y(x)
+--R                      + 
+--R                               6       4       2          3
+--R                        (- 128x  - 320x  - 192x  - 16)y(x)
+--R                      + 
+--R                               5         3             2
+--R                        (128a x  + 128a x  + 16a x)y(x)
+--R                      + 
+--R                              6       4      2
+--R                        (- 64x  - 112x  - 48x  - 2)y(x)
+--R                   *
+--R                       +---------+
+--R                       |    2
+--R                      \|y(x)  + 1
+--R                  + 
+--R                                   3           4          3           2      3
+--R                            (- 128x  - 64x)y(x)  + (- 128x  - 64x)y(x)  - 16x
+--R                          + 
+--R                            - 8x
+--R                       *
+--R                           +------+
+--R                           | 2
+--R                          \|x  + 1
+--R                      + 
+--R                             4       2          4        4       2          2
+--R                        (128x  + 128x  + 16)y(x)  + (128x  + 128x  + 16)y(x)
+--R                      + 
+--R                           4      2
+--R                        16x  + 16x  + 2
+--R                   *
+--R                           +------+
+--R                           | 2
+--R                      log(\|x  + 1  - x)
+--R                  + 
+--R                               3           6          4         2     5
+--R                        (- 128x  - 64x)y(x)  + (256a x  + 128a x )y(x)
+--R                      + 
+--R                               5       3            4          4         2     3
+--R                        (- 128x  - 320x  - 112x)y(x)  + (256a x  + 128a x )y(x)
+--R                      + 
+--R                               5       3           2         4        2
+--R                        (- 128x  - 192x  - 48x)y(x)  + (32a x  + 16a x )y(x)
+--R                      + 
+--R                             5      3
+--R                        - 16x  - 16x  - 2x
+--R                   *
+--R                       +------+
+--R                       | 2
+--R                      \|x  + 1
+--R                  + 
+--R                         4       2          6
+--R                    (128x  + 128x  + 16)y(x)
+--R                  + 
+--R                             5         3             5
+--R                    (- 256a x  - 256a x  - 32a x)y(x)
+--R                  + 
+--R                         6       4       2          4
+--R                    (128x  + 384x  + 256x  + 24)y(x)
+--R                  + 
+--R                             5         3             3
+--R                    (- 256a x  - 256a x  - 32a x)y(x)
+--R                  + 
+--R                         6       4       2         2
+--R                    (128x  + 256x  + 128x  + 8)y(x)
+--R                  + 
+--R                            5        3                  6      4     2
+--R                    (- 32a x  - 32a x  - 4a x)y(x) + 16x  + 24x  + 8x
+--R               *
+--R                       +---------+
+--R                       |    2
+--R                  log(\|y(x)  + 1  - y(x))
+--R              + 
+--R                                                               +------+
+--R                             3           3       3             | 2
+--R                        ((64x  + 32x)y(x)  + (32x  + 16x)y(x))\|x  + 1
+--R                      + 
+--R                              4      2         3         4      2
+--R                        (- 64x  - 64x  - 8)y(x)  + (- 32x  - 32x  - 4)y(x)
+--R                   *
+--R                           +------+     2
+--R                           | 2
+--R                      log(\|x  + 1  - x)
+--R                  + 
+--R                                 3           5            4         2     4
+--R                            (128x  + 64x)y(x)  + (- 256a x  - 128a x )y(x)
+--R                          + 
+--R                                 5       3           3
+--R                            (128x  + 256x  + 80x)y(x)
+--R                          + 
+--R                                     4        2     2       5      3
+--R                            (- 128a x  - 64a x )y(x)  + (64x  + 80x  + 16x)y(x)
+--R                       *
+--R                           +------+
+--R                           | 2
+--R                          \|x  + 1
+--R                      + 
+--R                               4       2          5
+--R                        (- 128x  - 128x  - 16)y(x)
+--R                      + 
+--R                               5         3             4
+--R                        (256a x  + 256a x  + 32a x)y(x)
+--R                      + 
+--R                               6       4       2          3
+--R                        (- 128x  - 320x  - 192x  - 16)y(x)
+--R                      + 
+--R                               5         3             2
+--R                        (128a x  + 128a x  + 16a x)y(x)
+--R                      + 
+--R                              6       4      2
+--R                        (- 64x  - 112x  - 48x  - 2)y(x)
+--R                   *
+--R                           +------+
+--R                           | 2
+--R                      log(\|x  + 1  - x)
+--R                  + 
+--R                            3           7            4         2     6
+--R                        (64x  + 32x)y(x)  + (- 256a x  - 128a x )y(x)
+--R                      + 
+--R                              2        5        2        3           5
+--R                        ((256a  + 128)x  + (128a  + 224)x  + 64x)y(x)
+--R                      + 
+--R                                 6         4         2     4
+--R                        (- 256a x  - 512a x  - 160a x )y(x)
+--R                      + 
+--R                            7        2        5       2        3            3
+--R                        (64x  + (128a  + 224)x  + (64a  + 448)x  + 160x)y(x)
+--R                      + 
+--R                                 6         4        2     2
+--R                        (- 128a x  - 160a x  - 32a x )y(x)
+--R                      + 
+--R                            7      5       3
+--R                        (32x  + 64x  + 160x  + 66x)y(x)
+--R                   *
+--R                       +------+
+--R                       | 2
+--R                      \|x  + 1
+--R                  + 
+--R                          4      2         7          5         3             6
+--R                    (- 64x  - 64x  - 8)y(x)  + (256a x  + 256a x  + 32a x)y(x)
+--R                  + 
+--R                               2        6          2        4         2        2
+--R                        (- 256a  - 128)x  + (- 256a  - 288)x  + (- 32a  - 160)x
+--R                      + 
+--R                        - 12
+--R                   *
+--R                          5
+--R                      y(x)
+--R                  + 
+--R                           7         5         3             4
+--R                    (256a x  + 640a x  + 384a x  + 32a x)y(x)
+--R                  + 
+--R                             8          2        6          2        4
+--R                        - 64x  + (- 128a  - 256)x  + (- 128a  - 552)x
+--R                      + 
+--R                              2        2
+--R                        (- 16a  - 360)x  - 36
+--R                   *
+--R                          3
+--R                      y(x)
+--R                  + 
+--R                           7         5        3            2
+--R                    (128a x  + 224a x  + 96a x  + 4a x)y(x)
+--R                  + 
+--R                          8      6       4       2
+--R                    (- 32x  - 80x  - 188x  - 140x  - 16)y(x)
+--R               *
+--R                   +---------+
+--R                   |    2
+--R                  \|y(x)  + 1
+--R              + 
+--R                             3           4         3           2     3
+--R                      ((- 64x  - 32x)y(x)  + (- 64x  - 32x)y(x)  - 8x  - 4x)
+--R                   *
+--R                       +------+
+--R                       | 2
+--R                      \|x  + 1
+--R                  + 
+--R                        4      2         4       4      2         2     4     2
+--R                    (64x  + 64x  + 8)y(x)  + (64x  + 64x  + 8)y(x)  + 8x  + 8x
+--R                  + 
+--R                    1
+--R               *
+--R                       +------+     2
+--R                       | 2
+--R                  log(\|x  + 1  - x)
+--R              + 
+--R                               3           6          4         2     5
+--R                        (- 128x  - 64x)y(x)  + (256a x  + 128a x )y(x)
+--R                      + 
+--R                               5       3            4          4         2     3
+--R                        (- 128x  - 320x  - 112x)y(x)  + (256a x  + 128a x )y(x)
+--R                      + 
+--R                               5       3           2         4        2
+--R                        (- 128x  - 192x  - 48x)y(x)  + (32a x  + 16a x )y(x)
+--R                      + 
+--R                             5      3
+--R                        - 16x  - 16x  - 2x
+--R                   *
+--R                       +------+
+--R                       | 2
+--R                      \|x  + 1
+--R                  + 
+--R                         4       2          6
+--R                    (128x  + 128x  + 16)y(x)
+--R                  + 
+--R                             5         3             5
+--R                    (- 256a x  - 256a x  - 32a x)y(x)
+--R                  + 
+--R                         6       4       2          4
+--R                    (128x  + 384x  + 256x  + 24)y(x)
+--R                  + 
+--R                             5         3             3
+--R                    (- 256a x  - 256a x  - 32a x)y(x)
+--R                  + 
+--R                         6       4       2         2
+--R                    (128x  + 256x  + 128x  + 8)y(x)
+--R                  + 
+--R                            5        3                  6      4     2
+--R                    (- 32a x  - 32a x  - 4a x)y(x) + 16x  + 24x  + 8x
+--R               *
+--R                       +------+
+--R                       | 2
+--R                  log(\|x  + 1  - x)
+--R              + 
+--R                          3           8          4         2     7
+--R                    (- 64x  - 32x)y(x)  + (256a x  + 128a x )y(x)
+--R                  + 
+--R                            2        5          2        3           6
+--R                    ((- 256a  - 128)x  + (- 128a  - 256)x  - 80x)y(x)
+--R                  + 
+--R                           6         4         2     5
+--R                    (256a x  + 640a x  + 224a x )y(x)
+--R                  + 
+--R                          7          2        5          2        3            4
+--R                    (- 64x  + (- 256a  - 288)x  + (- 128a  - 552)x  - 188x)y(x)
+--R                  + 
+--R                           6         4        2     3
+--R                    (256a x  + 384a x  + 96a x )y(x)
+--R                  + 
+--R                          7         2        5         2        3            2
+--R                    (- 64x  + (- 32a  - 160)x  + (- 16a  - 360)x  - 140x)y(x)
+--R                  + 
+--R                          6        4       2          7      5      3
+--R                    (32a x  + 32a x  + 4a x )y(x) - 8x  - 12x  - 36x  - 16x
+--R               *
+--R                   +------+
+--R                   | 2
+--R                  \|x  + 1
+--R              + 
+--R                    4      2         8            5         3             7
+--R                (64x  + 64x  + 8)y(x)  + (- 256a x  - 256a x  - 32a x)y(x)
+--R              + 
+--R                      2        6        2        4       2        2          6
+--R                ((256a  + 128)x  + (256a  + 320)x  + (32a  + 192)x  + 16)y(x)
+--R              + 
+--R                         7         5         3             5
+--R                (- 256a x  - 768a x  - 512a x  - 48a x)y(x)
+--R              + 
+--R                         8        2        6        2        4       2        2
+--R                      64x  + (256a  + 320)x  + (256a  + 688)x  + (32a  + 432)x
+--R                    + 
+--R                      41
+--R               *
+--R                      4
+--R                  y(x)
+--R              + 
+--R                         7         5         3             3
+--R                (- 256a x  - 512a x  - 256a x  - 16a x)y(x)
+--R              + 
+--R                      8       2        6       2        4      2        2
+--R                  (64x  + (32a  + 192)x  + (32a  + 432)x  + (4a  + 304)x  + 33)
+--R               *
+--R                      2
+--R                  y(x)
+--R              + 
+--R                        7        5        3          8      6      4      2
+--R                (- 32a x  - 48a x  - 16a x )y(x) + 8x  + 16x  + 41x  + 33x  + 4
+--R           /
+--R                                                              +------+
+--R                          3            3        3             | 2
+--R                    ((256x  + 128x)y(x)  + (128x  + 64x)y(x))\|x  + 1
+--R                  + 
+--R                           4       2          3          4       2
+--R                    (- 256x  - 256x  - 32)y(x)  + (- 128x  - 128x  - 16)y(x)
+--R               *
+--R                   +---------+
+--R                   |    2
+--R                  \|y(x)  + 1
+--R              + 
+--R                          3            4          3            2      3
+--R                  ((- 256x  - 128x)y(x)  + (- 256x  - 128x)y(x)  - 32x  - 16x)
+--R               *
+--R                   +------+
+--R                   | 2
+--R                  \|x  + 1
+--R              + 
+--R                     4       2          4        4       2          2      4
+--R                (256x  + 256x  + 32)y(x)  + (256x  + 256x  + 32)y(x)  + 32x
+--R              + 
+--R                   2
+--R                32x  + 4
+--R     + 
+--R                             6          4         2           6
+--R                   (- 1024a x  - 1536a x  - 576a x  - 32a)y(x)
+--R                 + 
+--R                             6          4         2           4
+--R                   (- 1536a x  - 2304a x  - 864a x  - 48a)y(x)
+--R                 + 
+--R                            6         4         2           2        6        4
+--R                   (- 576a x  - 864a x  - 324a x  - 18a)y(x)  - 32a x  - 48a x
+--R                 + 
+--R                          2
+--R                   - 18a x  - a
+--R              *
+--R                  +------+
+--R                  | 2
+--R                 \|x  + 1
+--R             + 
+--R                       7          5          3              6
+--R               (1024a x  + 2048a x  + 1216a x  + 192a x)y(x)
+--R             + 
+--R                       7          5          3              4
+--R               (1536a x  + 3072a x  + 1824a x  + 288a x)y(x)
+--R             + 
+--R                      7          5         3              2        7        5
+--R               (576a x  + 1152a x  + 684a x  + 108a x)y(x)  + 32a x  + 64a x
+--R             + 
+--R                    3
+--R               38a x  + 6a x
+--R          *
+--R              +---------+
+--R              |    2
+--R             \|y(x)  + 1
+--R         + 
+--R                       6          4         2           7
+--R               (1024a x  + 1536a x  + 576a x  + 32a)y(x)
+--R             + 
+--R                       6          4          2           5
+--R               (2048a x  + 3072a x  + 1152a x  + 64a)y(x)
+--R             + 
+--R                       6          4         2           3
+--R               (1216a x  + 1824a x  + 684a x  + 38a)y(x)
+--R             + 
+--R                      6         4         2
+--R               (192a x  + 288a x  + 108a x  + 6a)y(x)
+--R          *
+--R              +------+
+--R              | 2
+--R             \|x  + 1
+--R         + 
+--R                     7          5          3              7
+--R           (- 1024a x  - 2048a x  - 1216a x  - 192a x)y(x)
+--R         + 
+--R                     7          5          3              5
+--R           (- 2048a x  - 4096a x  - 2432a x  - 384a x)y(x)
+--R         + 
+--R                     7          5          3              3
+--R           (- 1216a x  - 2432a x  - 1444a x  - 228a x)y(x)
+--R         + 
+--R                    7         5         3
+--R           (- 192a x  - 384a x  - 228a x  - 36a x)y(x)
+--R      *
+--R              +---------+
+--R              |    2
+--R         log(\|y(x)  + 1  - y(x))
+--R     + 
+--R                             7          5          3             7
+--R                   (- 2048a x  - 3072a x  - 1152a x  - 64a x)y(x)
+--R                 + 
+--R                         2 8        2 6        2 4      2 2     6
+--R                   (2048a x  + 3072a x  + 1152a x  + 64a x )y(x)
+--R                 + 
+--R                             7          5          3              5
+--R                   (- 4096a x  - 6144a x  - 2304a x  - 128a x)y(x)
+--R                 + 
+--R                         2 8        2 6        2 4      2 2     4
+--R                   (3072a x  + 4608a x  + 1728a x  + 96a x )y(x)
+--R                 + 
+--R                             7          5          3             3
+--R                   (- 2432a x  - 3648a x  - 1368a x  - 76a x)y(x)
+--R                 + 
+--R                         2 8        2 6       2 4      2 2     2
+--R                   (1152a x  + 1728a x  + 648a x  + 36a x )y(x)
+--R                 + 
+--R                            7         5         3                   2 8      2 6
+--R                   (- 384a x  - 576a x  - 216a x  - 12a x)y(x) + 64a x  + 96a x
+--R                 + 
+--R                      2 4     2 2
+--R                   36a x  + 2a x
+--R              *
+--R                  +------+
+--R                  | 2
+--R                 \|x  + 1
+--R             + 
+--R                       8          6          4         2     7
+--R               (2048a x  + 4096a x  + 2432a x  + 384a x )y(x)
+--R             + 
+--R                       2 9        2 7        2 5       2 3     6
+--R               (- 2048a x  - 4096a x  - 2432a x  - 384a x )y(x)
+--R             + 
+--R                       8          6          4         2     5
+--R               (4096a x  + 8192a x  + 4864a x  + 768a x )y(x)
+--R             + 
+--R                       2 9        2 7        2 5       2 3     4
+--R               (- 3072a x  - 6144a x  - 3648a x  - 576a x )y(x)
+--R             + 
+--R                       8          6          4         2     3
+--R               (2432a x  + 4864a x  + 2888a x  + 456a x )y(x)
+--R             + 
+--R                       2 9        2 7        2 5       2 3     2
+--R               (- 1152a x  - 2304a x  - 1368a x  - 216a x )y(x)
+--R             + 
+--R                      8         6         4        2           2 9       2 7
+--R               (384a x  + 768a x  + 456a x  + 72a x )y(x) - 64a x  - 128a x
+--R             + 
+--R                    2 5      2 3
+--R               - 76a x  - 12a x
+--R          *
+--R              +---------+
+--R              |    2
+--R             \|y(x)  + 1
+--R         + 
+--R                       7          5          3             8
+--R               (2048a x  + 3072a x  + 1152a x  + 64a x)y(x)
+--R             + 
+--R                       2 8        2 6        2 4      2 2     7
+--R               (- 2048a x  - 3072a x  - 1152a x  - 64a x )y(x)
+--R             + 
+--R                       7          5          3              6
+--R               (5120a x  + 7680a x  + 2880a x  + 160a x)y(x)
+--R             + 
+--R                       2 8        2 6        2 4       2 2     5
+--R               (- 4096a x  - 6144a x  - 2304a x  - 128a x )y(x)
+--R             + 
+--R                       7          5          3              4
+--R               (4224a x  + 6336a x  + 2376a x  + 132a x)y(x)
+--R             + 
+--R                       2 8        2 6        2 4      2 2     3
+--R               (- 2432a x  - 3648a x  - 1368a x  - 76a x )y(x)
+--R             + 
+--R                       7          5         3             2
+--R               (1216a x  + 1824a x  + 684a x  + 38a x)y(x)
+--R             + 
+--R                      2 8       2 6       2 4      2 2             7        5
+--R               (- 384a x  - 576a x  - 216a x  - 12a x )y(x) + 64a x  + 96a x
+--R             + 
+--R                    3
+--R               36a x  + 2a x
+--R          *
+--R              +------+
+--R              | 2
+--R             \|x  + 1
+--R         + 
+--R                     8          6          4         2     8
+--R           (- 2048a x  - 4096a x  - 2432a x  - 384a x )y(x)
+--R         + 
+--R                 2 9        2 7        2 5       2 3     7
+--R           (2048a x  + 4096a x  + 2432a x  + 384a x )y(x)
+--R         + 
+--R                     8           6          4         2     6
+--R           (- 5120a x  - 10240a x  - 6080a x  - 960a x )y(x)
+--R         + 
+--R                 2 9        2 7        2 5       2 3     5
+--R           (4096a x  + 8192a x  + 4864a x  + 768a x )y(x)
+--R         + 
+--R                     8          6          4         2     4
+--R           (- 4224a x  - 8448a x  - 5016a x  - 792a x )y(x)
+--R         + 
+--R                 2 9        2 7        2 5       2 3     3
+--R           (2432a x  + 4864a x  + 2888a x  + 456a x )y(x)
+--R         + 
+--R                     8          6          4         2     2
+--R           (- 1216a x  - 2432a x  - 1444a x  - 228a x )y(x)
+--R         + 
+--R                2 9       2 7       2 5      2 3             8         6
+--R           (384a x  + 768a x  + 456a x  + 72a x )y(x) - 64a x  - 128a x
+--R         + 
+--R                  4        2
+--R           - 76a x  - 12a x
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R                             6          4         2           6
+--R                   (- 1024a x  - 1536a x  - 576a x  - 32a)y(x)
+--R                 + 
+--R                             6          4         2           4
+--R                   (- 1536a x  - 2304a x  - 864a x  - 48a)y(x)
+--R                 + 
+--R                            6         4         2           2        6        4
+--R                   (- 576a x  - 864a x  - 324a x  - 18a)y(x)  - 32a x  - 48a x
+--R                 + 
+--R                          2
+--R                   - 18a x  - a
+--R              *
+--R                  +------+
+--R                  | 2
+--R                 \|x  + 1
+--R             + 
+--R                       7          5          3              6
+--R               (1024a x  + 2048a x  + 1216a x  + 192a x)y(x)
+--R             + 
+--R                       7          5          3              4
+--R               (1536a x  + 3072a x  + 1824a x  + 288a x)y(x)
+--R             + 
+--R                      7          5         3              2        7        5
+--R               (576a x  + 1152a x  + 684a x  + 108a x)y(x)  + 32a x  + 64a x
+--R             + 
+--R                    3
+--R               38a x  + 6a x
+--R          *
+--R                  +------+
+--R                  | 2
+--R             log(\|x  + 1  - x)
+--R         + 
+--R                         6          4         2           8
+--R               (- 1024a x  - 1536a x  - 576a x  - 32a)y(x)
+--R             + 
+--R                     2 7        2 5        2 3       2      7
+--R               (4096a x  + 6144a x  + 2304a x  + 128a x)y(x)
+--R             + 
+--R                            8        7          6        5          4        3
+--R                   - 3072a x  - 2048x  - 8192a x  - 4096x  - 6720a x  - 2432x
+--R                 + 
+--R                            2
+--R                   - 1728a x  - 384x - 64a
+--R              *
+--R                     6
+--R                 y(x)
+--R             + 
+--R                     2 7        2 5        2 3       2      5
+--R               (6144a x  + 9216a x  + 3456a x  + 192a x)y(x)
+--R             + 
+--R                            8        7           6        5          4        3
+--R                   - 4608a x  - 3072x  - 10432a x  - 6144x  - 7296a x  - 3648x
+--R                 + 
+--R                            2
+--R                   - 1548a x  - 576x - 38a
+--R              *
+--R                     4
+--R                 y(x)
+--R             + 
+--R                     2 7        2 5        2 3      2      3
+--R               (2304a x  + 3456a x  + 1296a x  + 72a x)y(x)
+--R             + 
+--R                            8        7          6        5          4        3
+--R                   - 1728a x  - 1152x  - 3648a x  - 2304x  - 2340a x  - 1368x
+--R                 + 
+--R                           2
+--R                   - 432a x  - 216x - 6a
+--R              *
+--R                     2
+--R                 y(x)
+--R             + 
+--R                    2 7       2 5      2 3     2              8      7         6
+--R               (128a x  + 192a x  + 72a x  + 4a x)y(x) - 96a x  - 64x  - 192a x
+--R             + 
+--R                     5         4      3        2
+--R               - 128x  - 114a x  - 76x  - 18a x  - 12x
+--R          *
+--R              +------+
+--R              | 2
+--R             \|x  + 1
+--R         + 
+--R                   7          5          3              8
+--R           (1024a x  + 2048a x  + 1216a x  + 192a x)y(x)
+--R         + 
+--R                   2 8        2 6        2 4       2 2     7
+--R           (- 4096a x  - 8192a x  - 4864a x  - 768a x )y(x)
+--R         + 
+--R                      9        8          7        6           5        4
+--R               3072a x  + 2048x  + 9728a x  + 5120x  + 10432a x  + 4224x
+--R             + 
+--R                      3        2
+--R               4256a x  + 1216x  + 480a x + 64
+--R          *
+--R                 6
+--R             y(x)
+--R         + 
+--R                   2 8         2 6        2 4        2 2     5
+--R           (- 6144a x  - 12288a x  - 7296a x  - 1152a x )y(x)
+--R         + 
+--R                      9        8           7        6           5        4
+--R               4608a x  + 3072x  + 12736a x  + 7680x  + 11936a x  + 6336x
+--R             + 
+--R                      3        2
+--R               4180a x  + 1824x  + 372a x + 96
+--R          *
+--R                 4
+--R             y(x)
+--R         + 
+--R                   2 8        2 6        2 4       2 2     3
+--R           (- 2304a x  - 4608a x  - 2736a x  - 432a x )y(x)
+--R         + 
+--R                      9        8          7        6          5        4
+--R               1728a x  + 1152x  + 4512a x  + 2880x  + 3948a x  + 2376x
+--R             + 
+--R                      3       2
+--R               1254a x  + 684x  + 90a x + 36
+--R          *
+--R                 2
+--R             y(x)
+--R         + 
+--R                  2 8       2 6       2 4      2 2             9      8
+--R           (- 128a x  - 256a x  - 152a x  - 24a x )y(x) + 96a x  + 64x
+--R         + 
+--R                 7       6         5       4        3      2
+--R           240a x  + 160x  + 198a x  + 132x  + 57a x  + 38x  + 3a x + 2
+--R      *
+--R          +---------+
+--R          |    2
+--R         \|y(x)  + 1
+--R     + 
+--R                       6          4         2           7
+--R               (1024a x  + 1536a x  + 576a x  + 32a)y(x)
+--R             + 
+--R                       6          4          2           5
+--R               (2048a x  + 3072a x  + 1152a x  + 64a)y(x)
+--R             + 
+--R                       6          4         2           3
+--R               (1216a x  + 1824a x  + 684a x  + 38a)y(x)
+--R             + 
+--R                      6         4         2
+--R               (192a x  + 288a x  + 108a x  + 6a)y(x)
+--R          *
+--R              +------+
+--R              | 2
+--R             \|x  + 1
+--R         + 
+--R                     7          5          3              7
+--R           (- 1024a x  - 2048a x  - 1216a x  - 192a x)y(x)
+--R         + 
+--R                     7          5          3              5
+--R           (- 2048a x  - 4096a x  - 2432a x  - 384a x)y(x)
+--R         + 
+--R                     7          5          3              3
+--R           (- 1216a x  - 2432a x  - 1444a x  - 228a x)y(x)
+--R         + 
+--R                    7         5         3
+--R           (- 192a x  - 384a x  - 228a x  - 36a x)y(x)
+--R      *
+--R              +------+
+--R              | 2
+--R         log(\|x  + 1  - x)
+--R     + 
+--R                   6          4         2           9
+--R           (1024a x  + 1536a x  + 576a x  + 32a)y(x)
+--R         + 
+--R                   2 7        2 5        2 3       2      8
+--R           (- 4096a x  - 6144a x  - 2304a x  - 128a x)y(x)
+--R         + 
+--R                      8        7          6        5          4        3
+--R               3072a x  + 2048x  + 8704a x  + 4096x  + 7488a x  + 2432x
+--R             + 
+--R                      2
+--R               2016a x  + 384x + 80a
+--R          *
+--R                 7
+--R             y(x)
+--R         + 
+--R                   2 7         2 5        2 3       2      6
+--R           (- 8192a x  - 12288a x  - 4608a x  - 256a x)y(x)
+--R         + 
+--R                      8        7           6        5           4        3
+--R               6144a x  + 4096x  + 14400a x  + 8192x  + 10464a x  + 4864x
+--R             + 
+--R                      2
+--R               2340a x  + 768x + 66a
+--R          *
+--R                 5
+--R             y(x)
+--R         + 
+--R                   2 7        2 5        2 3       2      4
+--R           (- 4864a x  - 7296a x  - 2736a x  - 152a x)y(x)
+--R         + 
+--R                      8        7          6        5          4        3
+--R               3648a x  + 2432x  + 7904a x  + 4864x  + 5244a x  + 2888x
+--R             + 
+--R                      2
+--R               1026a x  + 456x + 19a
+--R          *
+--R                 3
+--R             y(x)
+--R         + 
+--R                  2 7        2 5       2 3      2      2
+--R           (- 768a x  - 1152a x  - 432a x  - 24a x)y(x)
+--R         + 
+--R                     8       7          6       5         4       3         2
+--R               576a x  + 384x  + 1184a x  + 768x  + 732a x  + 456x  + 126a x
+--R             + 
+--R               72x + a
+--R          *
+--R             y(x)
+--R      *
+--R          +------+
+--R          | 2
+--R         \|x  + 1
+--R     + 
+--R                 7          5          3              9
+--R       (- 1024a x  - 2048a x  - 1216a x  - 192a x)y(x)
+--R     + 
+--R             2 8        2 6        2 4       2 2     8
+--R       (4096a x  + 8192a x  + 4864a x  + 768a x )y(x)
+--R     + 
+--R                    9        8           7        6           5        4
+--R           - 3072a x  - 2048x  - 10240a x  - 5120x  - 11456a x  - 4224x
+--R         + 
+--R                    3        2
+--R           - 4864a x  - 1216x  - 576a x - 64
+--R      *
+--R             7
+--R         y(x)
+--R     + 
+--R             2 8         2 6        2 4        2 2     6
+--R       (8192a x  + 16384a x  + 9728a x  + 1536a x )y(x)
+--R     + 
+--R                    9        8           7         6           5        4
+--R           - 6144a x  - 4096x  - 17472a x  - 10240x  - 16896a x  - 8448x
+--R         + 
+--R                    3        2
+--R           - 6156a x  - 2432x  - 588a x - 128
+--R      *
+--R             5
+--R         y(x)
+--R     + 
+--R             2 8        2 6        2 4       2 2     4
+--R       (4864a x  + 9728a x  + 5776a x  + 912a x )y(x)
+--R     + 
+--R                    9        8          7        6          5        4
+--R           - 3648a x  - 2432x  - 9728a x  - 6080x  - 8740a x  - 5016x
+--R         + 
+--R                    3        2
+--R           - 2888a x  - 1444x  - 228a x - 76
+--R      *
+--R             3
+--R         y(x)
+--R     + 
+--R            2 8        2 6       2 4       2 2     2
+--R       (768a x  + 1536a x  + 912a x  + 144a x )y(x)
+--R     + 
+--R                   9       8          7       6          5       4         3
+--R           - 576a x  - 384x  - 1472a x  - 960x  - 1252a x  - 792x  - 380a x
+--R         + 
+--R                 2
+--R           - 228x  - 24a x - 12
+--R      *
+--R         y(x)
+--R  /
+--R                     6        4        2          6
+--R               (2048x  + 3072x  + 1152x  + 64)y(x)
+--R             + 
+--R                     6        4        2          4
+--R               (3072x  + 4608x  + 1728x  + 96)y(x)
+--R             + 
+--R                     6        4       2          2      6      4      2
+--R               (1152x  + 1728x  + 648x  + 36)y(x)  + 64x  + 96x  + 36x  + 2
+--R          *
+--R              +------+
+--R              | 2
+--R             \|x  + 1
+--R         + 
+--R                   7        5        3            6
+--R           (- 2048x  - 4096x  - 2432x  - 384x)y(x)
+--R         + 
+--R                   7        5        3            4
+--R           (- 3072x  - 6144x  - 3648x  - 576x)y(x)
+--R         + 
+--R                   7        5        3            2      7       5      3
+--R           (- 1152x  - 2304x  - 1368x  - 216x)y(x)  - 64x  - 128x  - 76x  - 12x
+--R      *
+--R          +---------+
+--R          |    2
+--R         \|y(x)  + 1
+--R     + 
+--R                   6        4        2          7
+--R           (- 2048x  - 3072x  - 1152x  - 64)y(x)
+--R         + 
+--R                   6        4        2           5
+--R           (- 4096x  - 6144x  - 2304x  - 128)y(x)
+--R         + 
+--R                   6        4        2          3
+--R           (- 2432x  - 3648x  - 1368x  - 76)y(x)
+--R         + 
+--R                  6       4       2
+--R           (- 384x  - 576x  - 216x  - 12)y(x)
+--R      *
+--R          +------+
+--R          | 2
+--R         \|x  + 1
+--R     + 
+--R             7        5        3            7
+--R       (2048x  + 4096x  + 2432x  + 384x)y(x)
+--R     + 
+--R             7        5        3            5
+--R       (4096x  + 8192x  + 4864x  + 768x)y(x)
+--R     + 
+--R           7        5        3            3        7       5       3
+--R     (2432x  + 4864x  + 2888x  + 456x)y(x)  + (384x  + 768x  + 456x  + 72x)y(x)
+--R                                                     Type: Expression Integer
+--E 85
+
+--S 86 of 120
+--Rode337 := (sqrt(y(x)**2+x**2)+x)*D(y(x),x)-y(x)
+--R 
+--R
+--R           +----------+
+--R           |    2    2       ,
+--R   (85)  (\|y(x)  + x   + x)y (x) - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 86
+
+--S 87 of 120
+--Rsolve(ode337,y,x)
+--R 
+--R
+--R   (86)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 87
+
+--S 88 of 120
+--Rode338 := (y(x)*sqrt(y(x)**2+x**2)+(y(x)**2-x**2)*sin(alpha)-_
+--R            2*x*y(x)*cos(alpha))*D(y(x),x)+x*sqrt(y(x)**2+x**2)+_
+--R            2*x*y(x)*sin(alpha)+(y(x)**2-x**2)*cos(alpha)
+--R 
+--R
+--R   (87)
+--R           +----------+
+--R           |    2    2         2    2                                 ,
+--R     (y(x)\|y(x)  + x   + (y(x)  - x )sin(alpha) - 2x y(x)cos(alpha))y (x)
+--R
+--R   + 
+--R       +----------+
+--R       |    2    2                             2    2
+--R     x\|y(x)  + x   + 2x y(x)sin(alpha) + (y(x)  - x )cos(alpha)
+--R                                                     Type: Expression Integer
+--E 88
+
+--S 89 of 120
+--Rsolve(ode338,y,x)
+--R 
+--R
+--R   (88)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 89
+
+--S 90 of 120
+--Rode339 := (x*sqrt(x**2+y(x)**2+1)-y(x)*(x**2+y(x)**2))*D(y(x),x)-_
+--R            y(x)*sqrt(x**2+y(x)**2+1)-x*(x**2+y(x)**2)
+--R 
+--R
+--R   (89)
+--R        +--------------+                               +--------------+
+--R        |    2    2            3    2      ,           |    2    2
+--R     (x\|y(x)  + x  + 1  - y(x)  - x y(x))y (x) - y(x)\|y(x)  + x  + 1
+--R
+--R   + 
+--R             2    3
+--R     - x y(x)  - x
+--R                                                     Type: Expression Integer
+--E 90
+
+--S 91 of 120
+--Rsolve(ode339,y,x)
+--R 
+--R
+--R   (90)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 91
+
+--S 92 of 120
+--Rode340 := (e1*(x+a)/((x+a)**2+y(x)**2)**(3/2)+e2*(x-a)/_
+--R           ((x-a)**2+y(x)**2)**(3/2))*D(y(x),x)-y(x)*_
+--R           (e1/((x+a)**2+y(x)**2)**(3/2)+e2/((x-a)**2+y(x)**2)**(3/2))
+--R 
+--R
+--R   (91)
+--R                               2       3         2    2        3
+--R             ((e2 x - a e2)y(x)  + e2 x  + a e2 x  - a e2 x - a e2)
+--R          *
+--R              +----------------------+
+--R              |    2    2           2
+--R             \|y(x)  + x  + 2a x + a
+--R         + 
+--R                               2       3         2    2        3
+--R             ((e1 x + a e1)y(x)  + e1 x  - a e1 x  - a e1 x + a e1)
+--R          *
+--R              +----------------------+
+--R              |    2    2           2
+--R             \|y(x)  + x  - 2a x + a
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R                                                     +----------------------+
+--R                 3          2              2         |    2    2           2
+--R       (- e2 y(x)  + (- e2 x  - 2a e2 x - a e2)y(x))\|y(x)  + x  + 2a x + a
+--R     + 
+--R                                                     +----------------------+
+--R                 3          2              2         |    2    2           2
+--R       (- e1 y(x)  + (- e1 x  + 2a e1 x - a e1)y(x))\|y(x)  + x  - 2a x + a
+--R  /
+--R                                                    +----------------------+
+--R            4      2     2     2    4     2 2    4  |    2    2           2
+--R       (y(x)  + (2x  + 2a )y(x)  + x  - 2a x  + a )\|y(x)  + x  - 2a x + a
+--R    *
+--R        +----------------------+
+--R        |    2    2           2
+--R       \|y(x)  + x  + 2a x + a
+--R                                                     Type: Expression Integer
+--E 92
+
+--S 93 of 120
+--Rsolve(ode340,y,x)
+--R 
+--R
+--R   (92)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 93
+
+--S 94 of 120
+--Rode341 := (x*exp(y(x))+exp(x))*D(y(x),x)+exp(y(x))+y(x)*exp(x)
+--R 
+--R
+--R              y(x)     x  ,        y(x)         x
+--R   (93)  (x %e     + %e )y (x) + %e     + y(x)%e
+--R
+--R                                                     Type: Expression Integer
+--E 94
+
+--S 95 of 120
+--Ryx:=solve(ode341,y,x)
+--R 
+--R
+--R             y(x)         x
+--R   (94)  x %e     + y(x)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 95
+
+--S 96 of 120
+--Rode341expr := (x*exp(yx)+exp(x))*D(yx,x)+exp(yx)+yx*exp(x)
+--R 
+--R
+--R   (95)
+--R                                                               y(x)         x
+--R        2  y(x)       x  ,          y(x)           x       x %e     + y(x)%e
+--R     ((x %e     + x %e )y (x) + x %e     + x y(x)%e  + 1)%e
+--R
+--R   + 
+--R          x  y(x)      x 2  ,               x  y(x)           x 2
+--R     (x %e %e     + (%e ) )y (x) + (x + 1)%e %e     + 2y(x)(%e )
+--R
+--R                                                     Type: Expression Integer
+--E 96
+
+--S 97 of 120
+--Rode342 := x*(3*exp(x*y(x))+2*exp(-x*y(x)))*(x*D(y(x),x)+y(x))+1
+--R 
+--R
+--R   (96)
+--R      2  x y(x)     2  - x y(x)  ,               x y(x)            - x y(x)
+--R   (3x %e       + 2x %e        )y (x) + 3x y(x)%e       + 2x y(x)%e         + 1
+--R
+--R                                                     Type: Expression Integer
+--E 97
+
+--S 98 of 120
+--Ryx:=solve(ode342,y,x)
+--R 
+--R
+--R             x y(x) 2           x y(x)
+--R         3(%e      )  + log(x)%e       - 2
+--R   (97)  ---------------------------------
+--R                        x y(x)
+--R                      %e
+--R                                          Type: Union(Expression Integer,...)
+--E 98
+
+--S 99 of 120
+--Rode342expr := x*(3*exp(x*yx)+2*exp(-x*yx))*(x*D(yx,x)+yx)+1
+--R 
+--R
+--R   (98)
+--R              3   x y(x) 2     3  ,         2             x y(x) 2
+--R           (9x (%e      )  + 6x )y (x) + (9x y(x) + 9x)(%e      )
+--R
+--R         + 
+--R                             x y(x)     2
+--R           (3x log(x) + 3x)%e       + 6x y(x) - 6x
+--R      *
+--R                 x y(x) 2             x y(x)
+--R           3x (%e      )  + x log(x)%e       - 2x
+--R           --------------------------------------
+--R                            x y(x)
+--R                          %e
+--R         %e
+--R     + 
+--R              3   x y(x) 2     3  ,         2             x y(x) 2
+--R           (6x (%e      )  + 4x )y (x) + (6x y(x) + 6x)(%e      )
+--R
+--R         + 
+--R                             x y(x)     2
+--R           (2x log(x) + 2x)%e       + 4x y(x) - 4x
+--R      *
+--R                   x y(x) 2             x y(x)
+--R           - 3x (%e      )  - x log(x)%e       + 2x
+--R           ----------------------------------------
+--R                             x y(x)
+--R                           %e
+--R         %e
+--R     + 
+--R         x y(x)
+--R       %e
+--R  /
+--R       x y(x)
+--R     %e
+--R                                                     Type: Expression Integer
+--E 99
+
+--S 100 of 120
+--Rode343 := (log(y(x))+x)*D(y(x),x)-1
+--R 
+--R
+--R                         ,
+--R   (99)  (log(y(x)) + x)y (x) - 1
+--R
+--R                                                     Type: Expression Integer
+--E 100
+
+--S 101 of 120
+--Ryx:=solve(ode343,y,x)
+--R 
+--R
+--R              - y(x)                - y(x)
+--R   (100)  - %e      log(y(x)) - x %e       + Ei(- y(x))
+--R                                          Type: Union(Expression Integer,...)
+--E 101
+
+--S 102 of 120
+--Rode343expr := (log(yx)+x)*D(yx,x)-1
+--R 
+--R
+--R   (101)
+--R           - y(x)                - y(x)  ,        - y(x)
+--R       ((%e      log(y(x)) + x %e      )y (x) - %e      )
+--R
+--R    *
+--R               - y(x)                - y(x)
+--R       log(- %e      log(y(x)) - x %e       + Ei(- y(x)))
+--R   + 
+--R          - y(x)             2  - y(x)  ,          - y(x)
+--R     (x %e      log(y(x)) + x %e      )y (x) - x %e       - 1
+--R
+--R                                                     Type: Expression Integer
+--E 102
+
+--S 103 of 120
+--Rode344 := (log(y(x))+2*x-1)*D(y(x),x)-2*y(x)
+--R 
+--R
+--R                               ,
+--R   (102)  (log(y(x)) + 2x - 1)y (x) - 2y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 103
+
+--S 104 of 120
+--Ryx:=solve(ode344,y,x)
+--R 
+--R
+--R          - log(y(x)) - 2x
+--R   (103)  ----------------
+--R                y(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 104
+
+--S 105 of 120
+--Rode344expr := (log(yx)+2*x-1)*D(yx,x)-2*yx
+--R 
+--R
+--R   (104)
+--R                             ,                - log(y(x)) - 2x
+--R       ((log(y(x)) + 2x - 1)y (x) - 2y(x))log(----------------)
+--R                                                    y(x)
+--R     + 
+--R                              2           ,
+--R       ((2x - 1)log(y(x)) + 4x  - 4x + 1)y (x) + 2y(x)log(y(x)) + 2y(x)
+--R
+--R  /
+--R         2
+--R     y(x)
+--R                                                     Type: Expression Integer
+--E 105
+
+--S 106 of 120
+--Rode345 := x*(2*x**2*y(x)*log(y(x))+1)*D(y(x),x)-2*y(x)
+--R 
+--R
+--R             3                   ,
+--R   (105)  (2x y(x)log(y(x)) + x)y (x) - 2y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 106
+
+--S 107 of 120
+--Ryx:=solve(ode345,y,x)
+--R 
+--R
+--R            2    2             2    2
+--R          2x y(x) log(y(x)) - x y(x)  + 2y(x)
+--R   (106)  -----------------------------------
+--R                            2
+--R                          2x
+--R                                          Type: Union(Expression Integer,...)
+--E 107
+
+--S 108 of 120
+--Rode345expr := x*(2*x**2*yx*log(yx)+1)*D(yx,x)-2*yx
+--R 
+--R
+--R   (107)
+--R                 5    3         2        5    3     3    2              3    2
+--R               4x y(x) log(y(x))  + (- 2x y(x)  + 6x y(x) )log(y(x)) - x y(x)
+--R             + 
+--R               2x y(x)
+--R          *
+--R              ,
+--R             y (x)
+--R
+--R         + 
+--R               2    3              2    3        2
+--R           - 4x y(x) log(y(x)) + 2x y(x)  - 4y(x)
+--R      *
+--R               2    2             2    2
+--R             2x y(x) log(y(x)) - x y(x)  + 2y(x)
+--R         log(-----------------------------------)
+--R                               2
+--R                             2x
+--R     + 
+--R          3                   ,        2    2             2    2
+--R       (2x y(x)log(y(x)) + x)y (x) - 2x y(x) log(y(x)) + x y(x)  - 4y(x)
+--R
+--R  /
+--R      2
+--R     x
+--R                                                     Type: Expression Integer
+--E 108
+
+--S 109 of 120
+--Rode346 := x*(y(x)*log(x*y(x))+y(x)-a*x)*D(y(x),x)-_
+--R              y(x)*(a*x*log(x*y(x))-y(x)+a*x)
+--R 
+--R
+--R   (108)
+--R                                      2  ,                                2
+--R     (x y(x)log(x y(x)) + x y(x) - a x )y (x) - a x y(x)log(x y(x)) + y(x)
+--R
+--R   + 
+--R     - a x y(x)
+--R                                                     Type: Expression Integer
+--E 109
+
+--S 110 of 120
+--Rsolve(ode346,y,x)
+--R 
+--R
+--R   (109)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 110
+
+--S 111 of 120
+--Rode347 := D(y(x),x)*(1+sin(x))*sin(y(x))+cos(x)*(cos(y(x))-1)
+--R 
+--R
+--R                                ,
+--R   (110)  (sin(x) + 1)sin(y(x))y (x) + cos(x)cos(y(x)) - cos(x)
+--R
+--R                                                     Type: Expression Integer
+--E 111
+
+--S 112 of 120
+--Ryx:=solve(ode347,y,x)
+--R 
+--R
+--R   (111)
+--R                     2                     2             2
+--R           (- 4cos(x)  - 8cos(x) - 4)sin(x)  + (- 8cos(x)  - 16cos(x) - 8)sin(x)
+--R         + 
+--R                    2
+--R           - 4cos(x)  - 8cos(x) - 4
+--R      *
+--R         cos(y(x))
+--R     + 
+--R               5                        4             2                      3
+--R       - sin(x)  + (- 4cos(x) - 4)sin(x)  + (- 6cos(x)  - 12cos(x) - 6)sin(x)
+--R     + 
+--R                 3           2                      2
+--R       (- 4cos(x)  - 12cos(x)  - 12cos(x) - 4)sin(x)
+--R     + 
+--R                4          3          2
+--R       (- cos(x)  - 4cos(x)  - 6cos(x)  - 4cos(x) - 1)sin(x)
+--R  /
+--R             5                      4           2                       3
+--R       sin(x)  + (4cos(x) + 5)sin(x)  + (6cos(x)  + 16cos(x) + 10)sin(x)
+--R     + 
+--R               3           2                       2
+--R       (4cos(x)  + 18cos(x)  + 24cos(x) + 10)sin(x)
+--R     + 
+--R              4          3           2                               4
+--R       (cos(x)  + 8cos(x)  + 18cos(x)  + 16cos(x) + 5)sin(x) + cos(x)
+--R     + 
+--R              3          2
+--R       4cos(x)  + 6cos(x)  + 4cos(x) + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 112
+
+--S 113 of 120
+--Rode347expr := D(yx,x)*(1+sin(x))*sin(yx)+cos(x)*(cos(yx)-1)
+--R 
+--R
+--R   (112)
+--R                         2                     4
+--R               (- 4cos(x)  - 8cos(x) - 4)sin(x)
+--R             + 
+--R                         3           2                       3
+--R               (- 4cos(x)  - 24cos(x)  - 36cos(x) - 16)sin(x)
+--R             + 
+--R                          3           2                       2
+--R               (- 12cos(x)  - 48cos(x)  - 60cos(x) - 24)sin(x)
+--R             + 
+--R                          3           2                                 3
+--R               (- 12cos(x)  - 40cos(x)  - 44cos(x) - 16)sin(x) - 4cos(x)
+--R             + 
+--R                         2
+--R               - 12cos(x)  - 12cos(x) - 4
+--R          *
+--R                       ,
+--R             sin(y(x))y (x)
+--R
+--R         + 
+--R                                    5           2                      4
+--R               (- 8cos(x) - 8)sin(x)  + (8cos(x)  - 8cos(x) - 16)sin(x)
+--R             + 
+--R                          3                  3
+--R               (- 12cos(x)  + 12cos(x))sin(x)
+--R             + 
+--R                       4           3           2                      2
+--R               (4cos(x)  - 28cos(x)  - 44cos(x)  + 4cos(x) + 16)sin(x)
+--R             + 
+--R                       4           3           2
+--R               (8cos(x)  - 20cos(x)  - 56cos(x)  - 20cos(x) + 8)sin(x)
+--R             + 
+--R                      4          3           2
+--R               4cos(x)  - 4cos(x)  - 20cos(x)  - 12cos(x)
+--R          *
+--R             cos(y(x))
+--R         + 
+--R                       5           2                 4
+--R           cos(x)sin(x)  + (5cos(x)  + 5cos(x))sin(x)
+--R         + 
+--R                    3           2                  3
+--R           (10cos(x)  + 20cos(x)  + 10cos(x))sin(x)
+--R         + 
+--R                    4           3           2                  2
+--R           (10cos(x)  + 30cos(x)  + 30cos(x)  + 10cos(x))sin(x)
+--R         + 
+--R                   5           4           3           2
+--R           (5cos(x)  + 20cos(x)  + 30cos(x)  + 20cos(x)  + 5cos(x))sin(x)
+--R         + 
+--R                 6          5           4           3          2
+--R           cos(x)  + 5cos(x)  + 10cos(x)  + 10cos(x)  + 5cos(x)  + cos(x)
+--R      *
+--R         sin
+--R                            2                     2
+--R                    (4cos(x)  + 8cos(x) + 4)sin(x)
+--R                  + 
+--R                            2                                2
+--R                    (8cos(x)  + 16cos(x) + 8)sin(x) + 4cos(x)  + 8cos(x) + 4
+--R               *
+--R                  cos(y(x))
+--R              + 
+--R                      5                      4
+--R                sin(x)  + (4cos(x) + 4)sin(x)
+--R              + 
+--R                        2                      3
+--R                (6cos(x)  + 12cos(x) + 6)sin(x)
+--R              + 
+--R                        3           2                      2
+--R                (4cos(x)  + 12cos(x)  + 12cos(x) + 4)sin(x)
+--R              + 
+--R                       4          3          2
+--R                (cos(x)  + 4cos(x)  + 6cos(x)  + 4cos(x) + 1)sin(x)
+--R           /
+--R                      5                      4
+--R                sin(x)  + (4cos(x) + 5)sin(x)
+--R              + 
+--R                        2                       3
+--R                (6cos(x)  + 16cos(x) + 10)sin(x)
+--R              + 
+--R                        3           2                       2
+--R                (4cos(x)  + 18cos(x)  + 24cos(x) + 10)sin(x)
+--R              + 
+--R                       4          3           2                               4
+--R                (cos(x)  + 8cos(x)  + 18cos(x)  + 16cos(x) + 5)sin(x) + cos(x)
+--R              + 
+--R                       3          2
+--R                4cos(x)  + 6cos(x)  + 4cos(x) + 1
+--R     + 
+--R                       6           2                 5
+--R           cos(x)sin(x)  + (5cos(x)  + 6cos(x))sin(x)
+--R         + 
+--R                    3           2                  4
+--R           (10cos(x)  + 25cos(x)  + 15cos(x))sin(x)
+--R         + 
+--R                    4           3           2                  3
+--R           (10cos(x)  + 40cos(x)  + 50cos(x)  + 20cos(x))sin(x)
+--R         + 
+--R                   5           4           3           2                  2
+--R           (5cos(x)  + 30cos(x)  + 60cos(x)  + 50cos(x)  + 15cos(x))sin(x)
+--R         + 
+--R                    6           5           4           3           2
+--R             (cos(x)  + 10cos(x)  + 30cos(x)  + 40cos(x)  + 25cos(x)  + 6cos(x))
+--R          *
+--R             sin(x)
+--R         + 
+--R                 6          5           4           3          2
+--R           cos(x)  + 5cos(x)  + 10cos(x)  + 10cos(x)  + 5cos(x)  + cos(x)
+--R      *
+--R         cos
+--R                            2                     2
+--R                    (4cos(x)  + 8cos(x) + 4)sin(x)
+--R                  + 
+--R                            2                                2
+--R                    (8cos(x)  + 16cos(x) + 8)sin(x) + 4cos(x)  + 8cos(x) + 4
+--R               *
+--R                  cos(y(x))
+--R              + 
+--R                      5                      4
+--R                sin(x)  + (4cos(x) + 4)sin(x)
+--R              + 
+--R                        2                      3
+--R                (6cos(x)  + 12cos(x) + 6)sin(x)
+--R              + 
+--R                        3           2                      2
+--R                (4cos(x)  + 12cos(x)  + 12cos(x) + 4)sin(x)
+--R              + 
+--R                       4          3          2
+--R                (cos(x)  + 4cos(x)  + 6cos(x)  + 4cos(x) + 1)sin(x)
+--R           /
+--R                      5                      4
+--R                sin(x)  + (4cos(x) + 5)sin(x)
+--R              + 
+--R                        2                       3
+--R                (6cos(x)  + 16cos(x) + 10)sin(x)
+--R              + 
+--R                        3           2                       2
+--R                (4cos(x)  + 18cos(x)  + 24cos(x) + 10)sin(x)
+--R              + 
+--R                       4          3           2                               4
+--R                (cos(x)  + 8cos(x)  + 18cos(x)  + 16cos(x) + 5)sin(x) + cos(x)
+--R              + 
+--R                       3          2
+--R                4cos(x)  + 6cos(x)  + 4cos(x) + 1
+--R     + 
+--R                     6             2                 5
+--R       - cos(x)sin(x)  + (- 5cos(x)  - 6cos(x))sin(x)
+--R     + 
+--R                  3           2                  4
+--R       (- 10cos(x)  - 25cos(x)  - 15cos(x))sin(x)
+--R     + 
+--R                  4           3           2                  3
+--R       (- 10cos(x)  - 40cos(x)  - 50cos(x)  - 20cos(x))sin(x)
+--R     + 
+--R                 5           4           3           2                  2
+--R       (- 5cos(x)  - 30cos(x)  - 60cos(x)  - 50cos(x)  - 15cos(x))sin(x)
+--R     + 
+--R                  6           5           4           3           2
+--R         (- cos(x)  - 10cos(x)  - 30cos(x)  - 40cos(x)  - 25cos(x)  - 6cos(x))
+--R      *
+--R         sin(x)
+--R     + 
+--R               6          5           4           3          2
+--R       - cos(x)  - 5cos(x)  - 10cos(x)  - 10cos(x)  - 5cos(x)  - cos(x)
+--R  /
+--R             6                      5            2                       4
+--R       sin(x)  + (5cos(x) + 6)sin(x)  + (10cos(x)  + 25cos(x) + 15)sin(x)
+--R     + 
+--R                3           2                       3
+--R       (10cos(x)  + 40cos(x)  + 50cos(x) + 20)sin(x)
+--R     + 
+--R               4           3           2                       2
+--R       (5cos(x)  + 30cos(x)  + 60cos(x)  + 50cos(x) + 15)sin(x)
+--R     + 
+--R              5           4           3           2
+--R       (cos(x)  + 10cos(x)  + 30cos(x)  + 40cos(x)  + 25cos(x) + 6)sin(x)
+--R     + 
+--R             5          4           3           2
+--R       cos(x)  + 5cos(x)  + 10cos(x)  + 10cos(x)  + 5cos(x) + 1
+--R                                                     Type: Expression Integer
+--E 113 
+
+--S 114 of 120
+--Rode348 := (x*cos(y(x))+sin(x))*D(y(x),x)+y(x)*cos(x)+sin(y(x))
+--R 
+--R
+--R                                 ,
+--R   (113)  (x cos(y(x)) + sin(x))y (x) + sin(y(x)) + y(x)cos(x)
+--R
+--R                                                     Type: Expression Integer
+--E 114
+
+--S 115 of 120
+--Ryx:=solve(ode348,y,x)
+--R 
+--R
+--R   (114)  x sin(y(x)) + y(x)sin(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 115
+
+--S 116 of 120
+--Rode348expr := (x*cos(yx)+sin(x))*D(yx,x)+yx*cos(x)+sin(yx)
+--R 
+--R
+--R   (115)
+--R     sin(x sin(y(x)) + y(x)sin(x))
+--R   + 
+--R          2                      ,
+--R       ((x cos(y(x)) + x sin(x))y (x) + x sin(y(x)) + x y(x)cos(x))
+--R
+--R    *
+--R       cos(x sin(y(x)) + y(x)sin(x))
+--R   + 
+--R                                2  ,
+--R     (x sin(x)cos(y(x)) + sin(x) )y (x) + (sin(x) + x cos(x))sin(y(x))
+--R
+--R   + 
+--R     2y(x)cos(x)sin(x)
+--R                                                     Type: Expression Integer
+--E 116
+
+--S 117 of 120
+--Rode349 := x*D(y(x),x)*cot(y(x)/x)+2*x*sin(y(x)/x)-y(x)*cot(y(x)/x)
+--R 
+--R
+--R                y(x)  ,             y(x)            y(x)
+--R   (116)  x cot(----)y (x) + 2x sin(----) - y(x)cot(----)
+--R                  x                   x               x
+--R                                                     Type: Expression Integer
+--E 117
+
+--S 118 of 120
+--Rsolve(ode349,y,x)
+--R 
+--R
+--R   (117)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 118
+
+--S 119 of 120
+--Rode350 := D(y(x),x)*cos(y(x))-cos(x)*sin(y(x))**2-sin(y(x))
+--R 
+--R
+--R                    ,                     2
+--R   (118)  cos(y(x))y (x) - cos(x)sin(y(x))  - sin(y(x))
+--R
+--R                                                     Type: Expression Integer
+--E 119
+
+--S 120 of 120
+--Rsolve(ode350,y,x)
+--R 
+--R
+--R   (119)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 120
+ 
+
+)spool
+)lisp (bye)
+ 
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} {\bf http://www.cs.uwaterloo.ca/$\tilde{}$ecterrab/odetools.html}
+\end{thebibliography}
+\end{document}
